/*
* 长客车票详情
*/

/*
* 变量
*/
var frontData = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_bundle_data"}'));
var serverURL = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}')).ap_base_url;
var ticketInfo;
var ticketInfoSelect;
var changtuUrl = "";
var listC = new Array();
var listD = new Array();
var pageNum = 0;
var sortNow = "";
var timeSort = ["x"];
var chufaSort = ["x"];
var daodaSort = ["x"];

//画面初期化
$(function(){
	$("#title").empty();
	$("#title").html(frontData.chufadi+"<b></b>"+frontData.mudidi);
	searchData();
	$("li[id^='time_']").attr("keyword", "-1");
	$("#time_x").attr("keyword", "x");
});

//获取畅途网跳转URL
function getChangtuUrl(){
	if(null!=ticketInfo[0].ChangtuST && ""!=ticketInfo[0].ChangtuST
		&& null!=ticketInfo[0].ChangtuAR && ""!=ticketInfo[0].ChangtuAR){
		var searchUrl = "http://bdlbs.hezuo.trip8080.com/ifc/baiduUrl.htm?stCityPin="+ticketInfo[0].ChangtuST+"&endCityPin="+ticketInfo[0].ChangtuAR+"&token=andMap";
		var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"getChangtuUrlCallback","url":"'+searchUrl+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
		window.cmccmap.ClientCmccMap(json);
	}
}

//获取畅途网跳转URL回调函数
function getChangtuUrlCallback(backData){
	if(null == backData || "0000" != backData.status){
		return;
	}
	var data = backData.result;
	if(null==data || ""==data.url || 0==data.url.length){
		return;
	}
	changtuUrl = data.url;
}

//获取车票信息
function searchData(){
	//ticketInfoCallback(textData);
	//获取车票信息
	var searchUrl = serverURL+"?type=walkout&function=search_busline_info&startcityname="+frontData.chufadi+"&arrivecityname="+frontData.mudidi;
	var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"ticketInfoCallback","url":"'+encodeURI(searchUrl)+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
	window.cmccmap.ClientCmccMap(json);
}

//获取车票信息回调函数
function ticketInfoCallback(backData){
	if(null == backData || "0000" != backData.status){
		$("#ticketInfo").empty();
		$("#ticketInfo").hide();
		$("#ticketNone").show();
		$("#page").empty();
		$("#frontBtn").hide();
		$("#nextBtn").hide();
		return;
	}
	var data = backData.result;
	if(null==data || "success"!=data.status || 0==data.result.length){
		$("#ticketInfo").empty();
		$("#ticketInfo").hide();
		$("#ticketNone").show();
		$("#page").empty();
		$("#frontBtn").hide();
		$("#nextBtn").hide();
		return;
	}

	ticketInfo = data.result;
	ticketInfoSelect = data.result;
	makeChufaSort();
	makeDaodaSort();
	makeView(ticketInfo);
	$("#li_time").click(function(){
		sortClick('time');
	});
	$("#li_chufa").click(function(){
		sortClick('chufa');
	});
	$("#li_daoda").click(function(){
		sortClick('daoda');
	});
	getChangtuUrl();
}

//制作出发车站筛选条件
function makeChufaSort(){
	for(var i=0; i<ticketInfo.length; i++){
		var flag = true;
		for(var j=0; j<listC.length; j++){
			if(listC[j] == ticketInfo[i].StartStationName  || "" == ticketInfo[i].StartStationName){
				flag = false;
				break;
			}
		}
		if(flag){
			listC.push(ticketInfo[i].StartStationName);
		}
	}
	var html = "<li id='chufa_x' onclick=\"liClick('chufa','x')\" class='colorblue'>不限<span id='chufaS_x'><img src='img/listtrain_1.png'></span></li>";
	for(var k=0; k<listC.length; k++){
		html += "<li id='chufa_"+k+"' onclick=\"liClick('chufa','"+k+"')\">"+ listC[k] +"<span id='chufaS_"+k+"'></span></li>";
	}
	html += "<li><a onclick='cancel()'>取消</a><a onclick=\"sortClick('chufa')\" style='float:right;'>确定</a></li>";
	$("#sort_chufa").empty();
	$("#sort_chufa").html(html);
	$("li[id^='chufa_']").attr("keyword", "-1");
	$("#chufa_x").attr("keyword", "x");
}

//制作到达时间筛选条件
function makeDaodaSort(){
	for(var i=0; i<ticketInfo.length; i++){
		var flag = true;
		for(var j=0; j<listD.length; j++){
			if(listD[j] == ticketInfo[i].ArriveCity || "" == ticketInfo[i].ArriveCity){
				flag = false;
				break;
			}
		}
		if(flag){
			listD.push(ticketInfo[i].ArriveCity);
		}
	}
	var html = "<li id='daoda_x' onclick=\"liClick('daoda','x')\" class='colorblue'>不限<span id='daodaS_x'><img src='img/listtrain_1.png'></span></li>";
	for(var k=0; k<listD.length; k++){
		html += "<li id='daoda_"+k+"' onclick=\"liClick('daoda','"+k+"')\">"+ listD[k] +"<span id='daodaS_"+k+"'></span></li>";
	}
	html += "<li><a onclick='cancel()'>取消</a><a onclick=\"sortClick('daoda')\" style='float:right;'>确定</a></li>";
	$("#sort_daoda").empty();
	$("#sort_daoda").html(html);
	$("li[id^='daoda_']").attr("keyword", "-1");
	$("#daoda_x").attr("keyword", "x");
}

//车票显示区域控制
function makeView(dataList){
	var html = "";
	for(var i=0; i<10 && i<dataList.length-10*pageNum; i++){
		html += "<div class='hc_1 changke_3_0'>"
			+"<p class='hc_1b changke_3_1'>"
			+"<span class='hc_1b_1 changke_3_1a'><b>"+dataList[10*pageNum+i].SendTime+"</b>发车</span>"
			+"<span class='hc_1b_2 changke_3_1b'></span>"
			+"<span class='hc_1b_3 changke_3_1c'>"
			+"<span class='changke_3_1c1'>"+dataList[10*pageNum+i].StartStationName+"</span>"
			+"<span class='changke_3_1c2'>"+dataList[10*pageNum+i].ArriveCity+"</span></span>"
			+"<span class='hc_1b_5 changke_3_1d'>￥<b>"+dataList[10*pageNum+i].ReferenceFare+"</b></span>"
			+"</p></div>";
	}
	html += "<div style='height:150px;'></div>"
	$("#ticketInfo").empty();
	$("#ticketInfo").html(html);
	if(0==pageNum){
		$("#frontBtn").hide();
	}else{
		$("#frontBtn").show();
	}
	var maxPage = Math.ceil(dataList.length/10);
	var nowPage = pageNum+1;
	if(maxPage == nowPage){
		$("#nextBtn").hide();
	}else{
		$("#nextBtn").show();
	}
	$("#page").empty();
	$("#page").html(nowPage+"/"+maxPage+"页");
}

//取消按钮点击事件
function cancel(){
	//隐藏模块
	$("#sort_"+sortNow).hide();
	$("#li_"+sortNow).removeClass();
	$("#sp_"+sortNow).empty();
	$("#sp_"+sortNow).html("<img src='img/choose.png'>");
	$("#background").removeClass();
	sortNow = "";

	//恢复时间筛选选项状态
	$("li[id^='time_']").removeClass();
	$("li[id^='time_']").attr("keyword", "-1");
	$("span[id^='timeS_']").empty();

	for(var i=0; i<timeSort.length; i++){
		$("#time_"+timeSort[i]).removeClass().addClass("colorblue");
		$("#timeS_"+timeSort[i]).html("<img src='img/listtrain_1.png'>");
		$("#time_"+timeSort[i]).attr("keyword", timeSort[i]);
	}

	//恢复出发城市筛选选项状态
	$("li[id^='chufa_']").removeClass();
	$("li[id^='chufa_']").attr("keyword", "-1");
	$("span[id^='chufaS_']").empty();

	for(var i=0; i<chufaSort.length; i++){
		$("#chufa_"+chufaSort[i]).removeClass().addClass("colorblue");
		$("#chufaS_"+chufaSort[i]).html("<img src='img/listtrain_1.png'>");
		$("#chufa_"+chufaSort[i]).attr("keyword", chufaSort[i]);
	}

	//恢复到达城市筛选选项状态
	$("li[id^='daoda_']").removeClass();
	$("li[id^='daoda_']").attr("keyword", "-1");
	$("span[id^='daodaS_']").empty();

	for(var i=0; i<daodaSort.length; i++){
		$("#daoda_"+daodaSort[i]).removeClass().addClass("colorblue");
		$("#daodaS_"+daodaSort[i]).html("<img src='img/listtrain_1.png'>");
		$("#daoda_"+daodaSort[i]).attr("keyword", daodaSort[i]);
	}
}

//赛选条件点击事件
function sortClick(sortKind){
	if(sortNow == sortKind){
		$("#background").removeClass();
		$("#sort_"+sortKind).hide();
		$("#li_"+sortKind).removeClass();
		$("#sp_"+sortKind).empty();
		$("#sp_"+sortKind).html("<img src='img/choose.png'>");
		dateSort();
		sortNow = "";
		return;
	}
	if(""!=sortNow){
		$("#sort_"+sortNow).hide();
		$("#li_"+sortNow).removeClass();
		$("#sp_"+sortNow).empty();
		$("#sp_"+sortNow).html("<img src='img/choose.png'>");
	}else{
		$("#background").removeClass().addClass("tanchu");
	}
	$("#sort_"+sortKind).show();
	$("#li_"+sortKind).removeClass().addClass("colorblue");
	$("#sp_"+sortKind).empty();
	$("#sp_"+sortKind).html("<img src='img/choosing.png'>");
	sortNow = sortKind;
}

//上一页按钮点击
function frontBtnClick(){
	pageNum--;
	//绘制页面
	makeView(ticketInfoSelect);
}

//下一页按钮点击
function nextBtnClick(){
	pageNum++;
	//绘制页面
	makeView(ticketInfoSelect);
}

//筛选选项点击事件
function liClick(key, num){
	if("x"==num){//不限情况
		//改变其他选项样式
		$("li[id^='"+key+"_']").removeClass();
		$("span[id^='"+key+"S_']").empty();
		$("li[id^='"+key+"_']").attr("keyword", "-1");

		//修改不限选项样式及keyword值
		$("#"+key+"_"+num).removeClass().addClass("colorblue");
		$("#"+key+"S_"+num).html("<img src='img/listtrain_1.png'>");
		$("#"+key+"_"+num).attr("keyword", "x");
	}else{
		if("-1" == $("#"+key+"_"+num).attr("keyword")){//该选项原来未选中情况
			//修改不限选项样式及keyword值
			$("#"+key+"_x").removeClass();
			$("#"+key+"S_x").empty();
			$("#"+key+"_x").attr("keyword", "-1");

			//修改该选项样式及keyword值
			$("#"+key+"_"+num).removeClass().addClass("colorblue");
			$("#"+key+"S_"+num).html("<img src='img/listtrain_1.png'>");
			$("#"+key+"_"+num).attr("keyword", num);
		}else if(num == $("#"+key+"_"+num).attr("keyword")){//该选项原来选中情况
			//修改该选项样式及keyword值
			$("#"+key+"_"+num).removeClass();
			$("#"+key+"S_"+num).empty();
			$("#"+key+"_"+num).attr("keyword", "-1");

			//遍历所有选项值
			var tempArr = $("li[id^='"+key+"_']");
			var flg = false;
			for(var i=0;i<tempArr.length;i++){
				var temp = $(tempArr[i]);
				if ("-1" != temp.attr("keyword")){
					flg = true;
				}
			}

			if(!flg){
				//修改不限选项样式及keyword值
				$("#"+key+"_x").removeClass().addClass("colorblue");
				$("#"+key+"S_x").html("<img src='img/listtrain_1.png'>");
				$("#"+key+"_x").attr("keyword", "x");
			}
		}
	}
}

//数据筛选
function dateSort(){
	timeSort = new Array();
	chufaSort = new Array();
	daodaSort = new Array();
	pageNum = 0;
	var tempData1 = new Array();
	var tempData2 = new Array();
	var tempData3 = new Array();
	$("#ticketInfo").empty();
	$("#ticketInfo").show();
	$("#ticketNone").hide();

	if("x" == $("#time_x").attr("keyword")){
		tempData1 = ticketInfo;
		timeSort.push("x");
	}else{
		for(var i=0; i<ticketInfo.length; i++){
			var tempArr = $("li[id^='time_']");
			for(var j=0;j<tempArr.length;j++){
				var temp = $(tempArr[j]);
				if ("-1" != temp.attr("keyword")){
					timeSort.push(temp.attr("keyword"));
					var checkTimeMin = temp.attr("keyword")*36000+36000;
					var checkTimeMax = checkTimeMin+36000;
					var timeStr = ticketInfo[i].SendTime;
					timeStr = timeStr.split(":");
					var dataTime = 60*timeStr[0]+timeStr[1];
					if(dataTime>=checkTimeMin && dataTime<checkTimeMax){
						tempData1.push(ticketInfo[i]);
					}
				}
			}
		}
	}

	if("x" == $("#chufa_x").attr("keyword")){
		tempData2 = tempData1;
		chufaSort.push("x");
	}else{
		for(var i=0; i<tempData1.length; i++){
			var tempArr = $("li[id^='chufa_']");
			for(var j=0;j<tempArr.length;j++){
				var temp = $(tempArr[j]);
				if ("-1"!=temp.attr("keyword")){
					chufaSort.push(temp.attr("keyword"));
					if(tempData1[i].StartStationName==listC[temp.attr("keyword")]){
						tempData2.push(tempData1[i]);
					}
				}
			}
		}
	}
	if("x" == $("#daoda_x").attr("keyword")){
		tempData3 = tempData2;
		daodaSort.push("x");
	}else{
		for(var i=0; i<tempData2.length; i++){
			var tempArr = $("li[id^='daoda_']");
			for(var j=0;j<tempArr.length;j++){
				var temp = $(tempArr[j]);
				if ("-1"!=temp.attr("keyword")){
					daodaSort.push(temp.attr("keyword"));
					if(tempData2[i].ArriveCity==listD[temp.attr("keyword")]){
						tempData3.push(tempData2[i]);
					}
				}
			}
		}
	}
	if(0 == tempData3.length){
		$("#ticketInfo").empty();
		$("#ticketInfo").hide();
		$("#ticketNone").show();
		$("#page").empty();
		$("#frontBtn").hide();
		$("#nextBtn").hide();
		return;
	}
	ticketInfoSelect = tempData3;
	makeView(ticketInfoSelect);
}

//去畅途网订票点击事件
function changtuClick(){
	if("" != changtuUrl){
		var json = '{"type":"redirect","callback":"jumpCallBack","data":"","url":"'+changtuUrl+'","titlebar":"byweb","title":""}';
		window.cmccmap.ClientCmccMap(json);
	}
}

//去畅途网下载APP事件
function downloadApp(){
	var json = '{"type":"redirect","callback":"jumpCallBack","data":"","url":"http://m.changtu.com/client.html?hz-app-heditu","titlebar":"byweb","title":""}';
	window.cmccmap.ClientCmccMap(json);
}

function jumpCallBack(){
	return;
}

//返回按钮点击事件
function backBtnClick(){
	window.cmccmap.ClientCmccMap('{"type":"on_go_back"}');
}