/*
* 实时停车
*/
var key;
var sn;
var parkId;	//停车场ID
var cityCode;	//城市CODE
var parkInfo;	//停车场信息
var jianquanFlg = false; //鉴权标志
var poiInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_poi_baseinfo"}'));
var serverURL = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}')).ap_base_url;
// var serverURL = "http://221.180.144.61:9001/AbilityPlatform";
//时间戳
function getDate(date){
    var str="";
    str+=date.getFullYear();//年
    str+=date.getMonth()<9?"0"+(date.getMonth()+1):date.getMonth()+1;//月 月比实际月份要少1
    str+=date.getDate()<10?"0"+date.getDate():date.getDate();//日
    str+=date.getHours()<10?"0"+date.getHours():date.getHours();//HH
    str+=date.getMinutes()<10?"0"+date.getMinutes():date.getMinutes();//MM
    str+=date.getSeconds()<10?"0"+date.getSeconds():date.getSeconds(); //SS
    return str;
}

//停车相关显示初始化
$(function(){
	tingchePageInit();
	window.cmccmap.ClientCmccMap('{"type":"regiresume","callback":"tingchePageInit"}');
});

//画面显示控制
function tingchePageInit(){
	//鉴权
	jianquan();
	
}

//获取停车场ID
function getParkId(){
	parkId = poiInfo.runtimeparkid;

	if("" == poiInfo.runtimeparkprice || null == poiInfo.runtimeparkprice
		|| "" == poiInfo.runtimeparkpriceunit || null == poiInfo.runtimeparkpriceunit){
		$("#parking_2").hide();
	}else{
		var shoufei = poiInfo.runtimeparkprice + poiInfo.runtimeparkpriceunit;
		if(0 == poiInfo.runtimeparkprice || "0" == poiInfo.runtimeparkprice){
			shoufei = "免费";
		}
		$("#shoufei").html(shoufei);
		$("#parking_2").show();
	}

	if("" == poiInfo.citycode || null == poiInfo.citycode){
		sn = getDate(new Date);
		var searchUrl = serverURL+"?key="+key+"&sn="+sn+"&type=commen&function=get_cityinfo&x="+poiInfo.x+"&y="+poiInfo.y;
		var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"正在获取城市CODE...","version":"1.0.0","attach":"","callback":"getCityCodeCallback","url":"'+searchUrl+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
		window.cmccmap.ClientCmccMap(json);
	}else{
		cityCode = poiInfo.citycode.substr(0, 4) + "00";

		//获取停车场信息
		getParkInfo();
	}
}

function jianquan(){
	if("1" == poiInfo.hasruntimepark){
		$("#ting").show();
		//获取userKey
		var userInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"has_user_login"}'));
		
		if(null == userInfo.token || "" == userInfo.token || "null" == userInfo.token){
			key = "";
			$("#tingche_yd").show();
			$("#tingche").hide();
		}else{
			key = userInfo.userkey;
			//鉴权
			window.cmccmap.ClientCmccMap('{"type":"order","data":{"rescode": "-5","isorder":"0","callback":"fJianquanCallback"}}');
		}
	}else{
		$("#tingche").hide();
		$("#tingche_yd").hide();
	}
}

//获取停车场信息
function getParkInfo(){
	setTimeout("getParkInfo()",30000);
	//数据请求
	sn = getDate(new Date);
	var searchUrl = serverURL+"?key="+key+"&sn="+sn+"&type=real_time_park&function=get_park_detail&parkid="+parkId+"&cityname="+cityCode;
	var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"正在获取停车场信息...","version":"1.0.0","attach":"","callback":"getParkInfoCallback","url":"'+searchUrl+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
	window.cmccmap.ClientCmccMap(json);
}

//获取城市CODE信息回调函数
function getCityCodeCallback(backData){
	//网络异常
	if(null == backData || "0000" != backData.status){
		return;
	}
	var data = backData.result;
	if (null==data || "success"!=data.status || 0==data.result.length) {
		return;
	};

	cityCode = data.result.country.adcode.substr(0, 4) + "00";
	//获取停车场信息
	getParkInfo();
}

//获取停车场信息回调函数
function getParkInfoCallback(backData){
	//网络异常
	if(null == backData || "0000" != backData.status){
		return;
	}
	var data = backData.result;
	if (null==data || "success"!=data.status || 0==data.result.length) {
		return;
	};
	parkInfo = data.result[0];
	//显示控制
	tingcheInit(parkInfo.remainNum, parkInfo.totalNum);
}

//画面显示控制
function tingcheInit(remainNum, totalNum){
	var leftNum = remainNum;
	var percent = Math.ceil(100*remainNum/totalNum);
	var deg;
	var color;

	//显示颜色控制
	if(0 == leftNum){
		color = "#e83d15";
	}else if(0 < leftNum && 10 > leftNum){
		color = "#ffac36";
	}else{
		color = "#2dc100";
	}

	//显示百分比控制
	if(0 == percent){
		$("#yuan1").css("background",color);
		$("#yuan2").css("background","#cbcbcb");
		$("#yuan2").css("transform","rotate(48deg)");
	}else if (50 >= percent && 0 < percent){
		deg = 45 + Math.ceil(2.7*percent);
		var degchar = "rotate(" + deg +"deg)";
		$("#yuan1").css("background",color);
		$("#yuan2").css("background","#cbcbcb");
		$("#yuan2").css("transform",degchar);
	}else if(50 < percent && 100 >= percent){
		deg = Math.ceil(2.7*percent) - 135;
		var degchar = "rotate(" + deg +"deg)";
		$("#yuan1").css("background",color);
		$("#yuan2").css("background",color);
		$("#yuan2").css("transform",degchar);
	}else{
		$("#tingche").hide();
		return;
	}
	var num = "<p id='left'>"+remainNum+"</p>"+totalNum;
	$("#shuzi").html(num);
	$("#left").css("color",color);

	$("#tingche").show();
}

//点击广告鉴权
function tingcheDinggou(){
	var userInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"has_user_login"}'));
	if(null == userInfo.token || "" == userInfo.token || "null" == userInfo.token){
		//手动登录
		key = "";
		window.cmccmap.ClientCmccMap('{"type":"on_userlogin","callback":"userloginCallback"}');
	}else{
		key = userInfo.userkey;
		//鉴权
		window.cmccmap.ClientCmccMap('{"type":"order","data":{"rescode": "-5","isorder":"1","callback":"fJianquanCallback"}}');
	}
}

//用户登录回调函数
function userloginCallback(data){
	var userInfo = JSON.parse(data);
	if(null != userInfo.token && "" != userInfo.token && "null" != userInfo.token){
		key = userInfo.userkey;
		window.cmccmap.ClientCmccMap('{"type":"order","data":{"rescode": "-5","isorder":"1","callback":"fJianquanCallback"}}');
	} else {
		key = "";
		$("#tingche_yd").show();
		$("#tingche").hide();
	}
}

//初始化鉴权回调函数
function fJianquanCallback(data){
	if(""==data){
		jianquanFlg = false;
	}else{
		jianquanFlg = true;
	}
	//画面初始化
	if(jianquanFlg){//鉴权通过
		$("#tingche_yd").hide();
		if("" != poiInfo.runtimeparkcount && null != poiInfo.runtimeparkcount
			&& "" != poiInfo.runtimeparktotal && null != poiInfo.runtimeparktotal){
			//显示控制
			tingcheInit(poiInfo.runtimeparkcount, poiInfo.runtimeparktotal);
		}
		//获取停车场信息
		getParkId();
	}else{//鉴权不通过
		$("#tingche_yd").show();
		$("#tingche").hide();
	}
}