var carInfoProto = function() {
	this.sn = getSn();
	this.key = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
	this.carNo = "";
	this.carNoValue = "";
	this.carBrandName = "";
	this.carBrandID = "";
	this.carModel = "";
	this.carNoType = "";
	this.oldCarNo = "";
	this.remark = "";
	this.blundInfo = {};
	this.currCity = "";
	this.carNoComTitle = "";
	this.carNoSoldTitle = "V";
	this.carNoTypeArray = ["common","police","teach","soldier","armed"];
	this.statusFlag = false;//防止重复点击修改
}

$(function() {
	carInfoObj = new carInfoProto();
	//绑定面板的点击事件
	carInfoObj.attchEventClickMianBan();
	$("#back").click(function() {
		window.cmccmap.ClientCmccMap('{"type":"on_go_back"}');
	})
	$("#info_car_cancel").click(function() {
		window.cmccmap.ClientCmccMap('{"type":"on_go_back"}');
	})
	//显示相应的数据
	carInfoObj.blundInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_bundle_data"}'));
	carInfoObj.currCity = carInfoObj.blundInfo.currCity;
	carInfoObj.userinfo = carInfoObj.blundInfo.userinfo;
	carInfoObj.carNoComTitle = provinceForShort(carInfoObj.blundInfo.province);
	if(carInfoObj.blundInfo.redirectType == 0){
		//添加
		carInfoObj.showCarNumberType("common",carInfoObj.carNoComTitle);
	}else{
		//修改
		carInfoObj.carNo = carInfoObj.blundInfo.carNo;
		carInfoObj.carBrandName = carInfoObj.blundInfo.carBrandName;
		carInfoObj.carBrandID = carInfoObj.blundInfo.carBrandID;
		carInfoObj.carModel = carInfoObj.blundInfo.carModel;
		carInfoObj.carNoType = carInfoObj.blundInfo.carNoType;
		carInfoObj.oldCarNo = carInfoObj.blundInfo.carNo;
		carInfoObj.carBrandInfo = carInfoObj.blundInfo.carBrandInfo;
		carInfoObj.divShowById("info_car_value",carInfoObj.carBrandName);
		if(carInfoObj.carNoType==3){
			$("#info_car_number_value").attr('placeholder',"");
			$("#info_car_number_value").attr('value',carInfoObj.carNo.substr(1,carInfoObj.carNo.length-1));
			carInfoObj.carNoSoldTitle = carInfoObj.carNo.substr(0,1);
			carInfoObj.showCarNumberType(carInfoObj.carNoTypeArray[carInfoObj.carNoType],carInfoObj.carNoSoldTitle);
		}else{
			if(carInfoObj.carNoType==0){
				$("#info_car_number_value").attr('placeholder',"");
				$("#info_car_number_value").attr('value',carInfoObj.carNo.substr(1,carInfoObj.carNo.length-1));
				carInfoObj.carNoComTitle = carInfoObj.carNo.substr(0,1);
			}else if(carInfoObj.carNoType==4){
				$("#info_car_number_value").attr('placeholder',"");
				$("#info_car_number_value").attr('value',carInfoObj.carNo.substr(3,carInfoObj.carNo.length-3));
				carInfoObj.carNoComTitle = carInfoObj.carNo.substr(2,1);
			}else{
				$("#info_car_number_value").attr('placeholder',"");
				$("#info_car_number_value").attr('value',carInfoObj.carNo.substr(1,carInfoObj.carNo.length-2));
				carInfoObj.carNoComTitle = carInfoObj.carNo.substr(0,1);
			}
			carInfoObj.showCarNumberType(carInfoObj.carNoTypeArray[carInfoObj.carNoType],carInfoObj.carNoComTitle);
			if($("#info_car_number_value").val()==""||$("#info_car_number_value").val()=="请输入车牌号"||$("#info_car_number_value").val().length<5){
	   			carInfoObj.submitGrey();
	   		}else{
	   			carInfoObj.submitHighlight();
	   		}
		
		}
	}
	
	$("input:text").bind("input propertychange",function(){
   		var maxlength = parseInt($(this).attr("maxlength"));
   		if(7 == maxlength) {
   			if($(this).val()==""||$(this).val()=="请输入车牌号"||$(this).val().length<6){
	   			carInfoObj.submitGrey();
	   		}else{
	   			carInfoObj.submitHighlight();
	   		}
   		}else{
   			if($(this).val()==""||$(this).val()=="请输入车牌号"||$(this).val().length<$(this).attr("maxlength")){
	   			carInfoObj.submitGrey();
	   		}else{
	   			carInfoObj.submitHighlight();
	   		}
   		}
	});
});

carInfoProto.prototype.showCarNumberType = function(type,value) {
	$("#info_car_type_common").removeClass();
	$("#info_car_type_police").removeClass();
	$("#info_car_type_teach").removeClass();
	$("#info_car_type_soldier").removeClass();
	$("#info_car_type_armed").removeClass();
	$("#info_car_type_" + type).addClass("anxia");
	switch(type){
		case "common":
			//前面和后面都不显示
			$("#info_car_number_start").hide();
			$("#info_car_number_end").hide();
			//两个面板不显示
			$("#info_car_number_common").hide();
			$("#info_car_number_soldier").hide();
			//显示后面无字的样式
			carInfoObj.showCarNumberSataus(0);
			//显示对应的省份
			carInfoObj.showCarNoStart(0,value);
			carInfoObj.carNoType = 0;
			break;
		case "police":
			//前面不显示，后面显示
			$("#info_car_number_start").hide();
			$("#info_car_number_end").html("警");
			$("#info_car_number_end").show();
			//两个面板不显示
			$("#info_car_number_common").hide();
			$("#info_car_number_soldier").hide();
			//显示后面有字的样式
			carInfoObj.showCarNumberSataus(1);
			//显示对应的省份
			carInfoObj.showCarNoStart(0,value);
			carInfoObj.carNoType = 1;
			break;
		case "teach":
			//前面不显示，后面显示
			$("#info_car_number_start").hide();
			$("#info_car_number_end").html("学");
			$("#info_car_number_end").show();
			//两个面板不显示
			$("#info_car_number_common").hide();
			$("#info_car_number_soldier").hide();
			//显示后面有字的样式
			carInfoObj.showCarNumberSataus(1);
			//显示对应的省份
			carInfoObj.showCarNoStart(0,value);
			carInfoObj.carNoType = 2;
			break;
		case "soldier":
			//前面和后面不显示
			$("#info_car_number_start").hide();
			$("#info_car_number_end").hide();
			//显示军的面板
			$("#info_car_number_common").hide();
			$("#info_car_number_soldier").show();
			//显示后面无字的样式
			carInfoObj.showCarNumberSataus(0);
			//显示对应的省份
			carInfoObj.showCarNoStart(1,value);
			carInfoObj.carNoType = 3;
			break;
		case "armed":
			//前面显示，后面不显示
			document.getElementById("info_car_number_start").style.display="inline"
			$("#info_car_number_end").hide();
			//两个面板不显示
			$("#info_car_number_common").hide();
			$("#info_car_number_soldier").hide();
			//显示后面无字的样式
			carInfoObj.showCarNumberSataus(0);
			//显示对应的省份
			carInfoObj.showCarNoStart(0,value);
			carInfoObj.carNoType = 4;
			break;
	}
	carInfoObj.limitCarNoLength("info_car_type_" + type);
}

//后面有无字的样式显示
carInfoProto.prototype.showCarNumberSataus = function(sataus){
	if(sataus==0){
		//后面无字
		$("#info_car_number_div").removeClass().addClass("chehao_a chehao_r10");
		$("#info_car_number_value").removeClass().addClass("input1 input2");
	}else{
		//后面有字
		$("#info_car_number_div").removeClass().addClass("chehao_a");
		$("#info_car_number_value").removeClass().addClass("input1");
	}
}

//对应ID显示对应内容
carInfoProto.prototype.divShowById = function(idName,value){
	$("#" + idName).html(value);
}

//改变车牌号省份的方法
carInfoProto.prototype.changeCarNoTitle = function(){
	if(carInfoObj.carNoType!=3){
		$("#info_car_number_common").show();
		$("#info_car_number_soldier").hide();
	}else{
		$("#info_car_number_common").hide();
		$("#info_car_number_soldier").show();
	}
}

//改变车型的跳转方法
carInfoProto.prototype.changeCheXing = function(){
	var jsonData = {};
	if(carInfoObj.carBrandName=="请选择 "||carInfoObj.carBrandName==""){
		jsonData.chooseType = 0;
	}else{
		jsonData.chooseType = 1;
		jsonData.carValue = carInfoObj;
	}
	window.cmccmap.ClientCmccMap('{"type":"redirect","callback":"carInfoObj.changeCheXingCallback","data":'+ JSON.stringify(jsonData) +',"url":"chexing.html","titlebar":"none","title":""}');
}

//改变车型跳转方法的回调函数
carInfoProto.prototype.changeCheXingCallback = function(data){
	if (data == null || data == "") {
		return;
	}
	data = JSON.parse(data)
	carInfoObj.carModel = data.CarModel;
	carInfoObj.carBrandName = data.CarDescription;
	carInfoObj.carBrandID = data.CarBrandModel;
	carInfoObj.carBrandInfo = data.CarBrandInfo;
	var carBrandStr = "";
	var carBrandName = carInfoObj.carBrandName.split(" ");
	carBrandStr = carBrandName[carBrandName.length - 1];
	if(carBrandStr.length>16){
		carBrandStr = carBrandStr.substr(0,14) + "...";
	}
	carInfoObj.divShowById("info_car_value",carBrandStr);
}

//绑定两个车牌省份和类型选择的面板
carInfoProto.prototype.attchEventClickMianBan = function(){
	$("#info_car_type_common").click(function(){
		carInfoObj.showCarNumberType('common',carInfoObj.carNoComTitle);
//		carInfoObj.limitCarNoLength("info_car_type_common");
	});
	$("#info_car_type_police").click(function(){
		carInfoObj.showCarNumberType('police',carInfoObj.carNoComTitle);
//		carInfoObj.limitCarNoLength("info_car_type_police");
	});
	$("#info_car_type_teach").click(function(){
		carInfoObj.showCarNumberType('teach',carInfoObj.carNoComTitle);
//		carInfoObj.limitCarNoLength("info_car_type_teach");
	});
	$("#info_car_type_soldier").click(function(){
		carInfoObj.showCarNumberType('soldier',carInfoObj.carNoSoldTitle);
//		carInfoObj.limitCarNoLength("info_car_type_soldier");
	});
	$("#info_car_type_armed").click(function(){
		carInfoObj.showCarNumberType('armed',carInfoObj.carNoComTitle);
//		carInfoObj.limitCarNoLength("info_car_type_armed");
	});
	
	$("#info_car_number_common_title li span").click(function(){
		$("#info_car_number_common_title li span").removeClass();
		$(this).addClass("bg_blu");
		carInfoObj.divShowById("info_car_number_flag",$(this).text());
		carInfoObj.carNoComTitle = $(this).text();
		$("#info_car_number_common").hide();
	});
	$("#info_car_number_soldier_title li span").click(function(){
		$("#info_car_number_soldier_title li span").removeClass();
		$(this).addClass("bg_blu");
		carInfoObj.divShowById("info_car_number_flag",$(this).text());
		carInfoObj.carNoSoldTitle = $(this).text();
		$("#info_car_number_soldier").hide();
	});
	
}
// 根据车牌类型，限制车牌号码长度
carInfoProto.prototype.limitCarNoLength = function(car_type){
	var carType = $("#" + car_type).html();
	if("普" == carType){
		$("#info_car_number_value").attr('maxlength', 7);
	} else if("军" == carType){
		$("#info_car_number_value").attr('maxlength', 6);
	} else {
		$("#info_car_number_value").attr('maxlength', 5);
		if(6 == $("#info_car_number_value").val().length || 7 == $("#info_car_number_value").val().length){
			$("#info_car_number_value").val($("#info_car_number_value").val().substring(0,5));
		}
	}
	// 确认提交 按钮是否高亮
	var info_car_number_maxlength = parseInt($("#info_car_number_value").attr("maxlength"));
	if(7 == info_car_number_maxlength){
		if($("#info_car_number_value").val()==""||$("#info_car_number_value").val()=="请输入车牌号"||$("#info_car_number_value").val().length<6){
			carInfoObj.submitGrey();
		}else{
			carInfoObj.submitHighlight();
		}
	}else{
		if($("#info_car_number_value").val()==""||$("#info_car_number_value").val()=="请输入车牌号"||$("#info_car_number_value").val().length<info_car_number_maxlength){
			carInfoObj.submitGrey();
		}else{
			carInfoObj.submitHighlight();
		}
	}
	
}
// 车牌号码获取焦点 隐藏车牌号码前部分
carInfoProto.prototype.hideCarNumCommon = function(){
	$("#info_car_number_common").hide();
}
// 车牌号码输入及时大写去空格
carInfoProto.prototype.ignoreSpaces = function(inString){
	var temp = "";
	inString = '' + inString;
	splitstring = inString.split(" ");
	for(i = 0; i < splitstring.length; i++){
		temp += splitstring[i];
	}
	// 确认提交 按钮是否高亮
	var info_car_number_maxlength = parseInt($("#info_car_number_value").attr("maxlength"));
	if(7 == info_car_number_maxlength){
		if(temp.length<6){
			carInfoObj.submitGrey();
		}else if(temp.length==6 || temp.length==7){
			carInfoObj.submitHighlight();
		}else{
			carInfoObj.submitHighlight();
			temp = temp.substring(0,$("#info_car_number_value").attr("maxlength"));
		}
	} else {
		if(temp.length<info_car_number_maxlength){
			carInfoObj.submitGrey();
		}else if(temp.length==info_car_number_maxlength){
			carInfoObj.submitHighlight();
		}else{
			carInfoObj.submitHighlight();
			temp = temp.substring(0,$("#info_car_number_value").attr("maxlength"));
		}
	}
	
	return temp.toUpperCase();
}
// info_car_submit 置灰
carInfoProto.prototype.submitGrey = function(){
	$("#info_car_submit").removeClass();
	$("#info_car_submit").addClass("btn_b");
	$("#info_car_submit").unbind("click");
}

// info_car_submit 高亮
carInfoProto.prototype.submitHighlight = function(){
	$("#info_car_submit").removeClass();
	$("#info_car_submit").addClass("btn_b blu");
	$("#info_car_submit").click(function(){
		carInfoObj.attchEventClickSubmit();
	});
}

carInfoProto.prototype.showCarNoStart = function(carNoTypeId,carNoStartValue){
	if(carNoTypeId==0){
		$("#info_car_number_common_title li span").each(function(){
			if($(this).text() == carNoStartValue){
				$(this).removeClass().addClass("bg_blu");
			} else {
				$(this).removeClass();
			}
   		});
		$("#info_car_number_common").hide();
	}else{
		$("#info_car_number_soldier_title li span").each(function(){
			if($(this).text() == carNoStartValue){
				$(this).removeClass().addClass("bg_blu");
			} else {
				$(this).removeClass();
			}
   		});
		$("#info_car_number_soldier").hide();
	}
	carInfoObj.divShowById("info_car_number_flag",carNoStartValue);
}

carInfoProto.prototype.attchEventClickSubmit = function() {
	carInfoObj.carNoValue = $("#info_car_number_value").val().toUpperCase();
	if(carInfoObj.carBrandName=="请选择 "||carInfoObj.carBrandName==""){
		window.cmccmap.ClientCmccMap('{"type":"toast","data":{"content":"'+"请选择车型信息"+'"}}');
		return;
	}
	var patt = /[^a-zA-Z0-9]/g;
	if(5>carInfoObj.carNoValue.length || null!=carInfoObj.carNoValue.match(patt)){
		window.cmccmap.ClientCmccMap('{"type":"toast","data":{"content":"'+"请输入正确的车牌号"+'"}}');
		return;
	}
	
	if(this.statusFlag==true){
		info_window("正在保存车辆信息，请不要重复保存");
		return;
	}
	
	switch(carInfoObj.carNoType){
		case 1:
			carInfoObj.carNo = carInfoObj.carNoComTitle + carInfoObj.carNoValue + "警";
			break;
		case 2:
			carInfoObj.carNo = carInfoObj.carNoComTitle + carInfoObj.carNoValue + "学";
			break;
		case 3:
			carInfoObj.carNo = carInfoObj.carNoSoldTitle + carInfoObj.carNoValue;
			break;
		case 4:
			carInfoObj.carNo = "WJ" + carInfoObj.carNoComTitle + carInfoObj.carNoValue;
			break;
		default:
			carInfoObj.carNo = carInfoObj.carNoComTitle + carInfoObj.carNoValue;
	}
	var mustValueStr = '<span>请确认您所提交的车辆信息<br><span style=" margin:10px 0;">车牌：'+
	  					carInfoObj.carNo + '<br>车型：'+
			 		carInfoObj.carBrandName + '</span><span>车辆信息确认提交后6个月以后才能修改</span></span>';
	
	$("#info_car_tip_must_value").html(mustValueStr);
	$("#info_car_tip_must").show();
}

carInfoProto.prototype.attchEventClickSure = function(){
	if(this.statusFlag==true){
		info_window("正在保存车辆信息，请不要重复保存");
		return;
	}
	this.statusFlag = true;
	
	$("#info_car_tip_must").hide();
	var searchUrl = apServerURL + "?key=" + carInfoObj.key + "&sn=" + carInfoObj.sn
			+ "&type=riders_assistant&function=submit_car_info&carNo=" 
			+ carInfoObj.carNo + "&carBrandName=" + carInfoObj.carBrandName 
			+ "&carBrandID=" + carInfoObj.carBrandID + "&carNoType=" + carInfoObj.carNoType + "&carModel=" 
			+ carInfoObj.carModel + "&remark=";
	if(carInfoObj.blundInfo.redirectType==1){
		searchUrl = searchUrl + "&oldCarNo=" + carInfoObj.oldCarNo;
	}
	searchUrl = encodeURI(searchUrl);
	var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"carInfoObj.attchEventClickSureCallback","url":"' + searchUrl + '","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
	window.cmccmap.ClientCmccMap(json);
}

carInfoProto.prototype.attchEventClickSureCallback = function(data) {
	if(null == data || "0000" != data.status) {
		this.statusFlag = false;
		return;
	}
	var data = data.result;
	if(null == data || data.status=="failure") {
		$("#info_car_tip_no_value").html(data.status_msg);
		$("#info_car_tip_no").show();
		this.statusFlag = false;
		return;
	};
	var jsonData = {};
	jsonData.currCity = carInfoObj.currCity;
	jsonData.province = carInfoObj.blundInfo.province;
	jsonData.userinfo = carInfoObj.blundInfo.userinfo;
	window.cmccmap.ClientCmccMap('{"type":"back_with_data","callback":"","data":'+ JSON.stringify(jsonData) +',"url":"car_select.html","titlebar":"none","title":""}');
}

carInfoProto.prototype.attchEventClickHide = function(divName){
	$("#" + divName).hide();
	this.statusFlag = false;
}