var carSelectProto = function() {
	this.sn = getSn();
	this.key = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
	this.carListArray = new Array();
	this.carLength = 0;
	this.numberArray = ["one","two","three"];
	this.activityId = "";
	this.type = "";
	this.currCity = "";
	this.province = "";
	this.userinfo = {};
	this.statusFlag = false;
}

$(function() {
	$("#back").unbind("click").click(function() {
		window.cmccmap.ClientCmccMap('{"type":"back_with_data","data":"","tag":"xiche","backtag":"xiche","backflag":1}');
	})
	carSelectObj = new carSelectProto();
	window.cmccmap.ClientCmccMap('{"type":"reg_keyevent","keycode":"KEY_BACK","callback":"carSelectObj.keycodeCallback"}');
	var bundleData = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_bundle_data"}'));
	carSelectObj.activityId = bundleData.activityId;
	carSelectObj.type = bundleData.type;
	carSelectObj.currCity = bundleData.currCity;
	carSelectObj.province = bundleData.province;
	carSelectObj.userinfo = bundleData.userinfo;
	
	carSelectObj.getCarBindInfo();
});

carSelectProto.prototype.keycodeCallback = function() {
	window.cmccmap.ClientCmccMap('{"type":"back_with_data","tag":"xiche","backtag":"xiche","backflag":1}');
}

//获取用户绑定的车辆列表
carSelectProto.prototype.getCarBindInfo = function() {
	var searchUrl = apServerURL + "?key=" + carSelectObj.key + "&sn=" + carSelectObj.sn + "&type=riders_assistant&function=get_car_bind_info";
	var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"carSelectObj.getCarBindInfoCallback","url":"' + searchUrl + '","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
	window.cmccmap.ClientCmccMap(json);
}

//获取用户绑定的车辆列表回调函数
carSelectProto.prototype.getCarBindInfoCallback = function(data) {
	if(null == data || "0000" != data.status) {
		return;
	}
	var data = data.result;
	if(null == data) {
		return;
	}
	carSelectObj.carListArray = data.result;
	carSelectObj.carLength = carSelectObj.carListArray.length;
	carSelectObj.showCarList(carSelectObj.carLength);
	carSelectObj.noneCarList(carSelectObj.carLength);
	carSelectObj.attchEvent(carSelectObj.carLength);
	$("#car_list_one").show();
	$("#car_list_two").show();
	$("#car_list_three").show();
}

//控制车型列表显示（置灰方法）
carSelectProto.prototype.noneCarList = function(numCar) {
	for(var x=2;x>=numCar;x--){
		$("#car_list_"+carSelectObj.numberArray[x]).removeClass();
		if(x==numCar){
			$("#car_list_"+carSelectObj.numberArray[x]).addClass("carsel_c1");
		}else{
			$("#car_list_"+carSelectObj.numberArray[x]).addClass("carsel_c1 carsel_grey");
		}
		$("#car_"+carSelectObj.numberArray[x]+"_none").show();
		$("#car_"+carSelectObj.numberArray[x]+"_is").hide();
	}
}

//控制车型列表显示（显示方法）
carSelectProto.prototype.showCarList = function(numCar) {
	for(var z=0;z<numCar;z++){
		$("#car_list_" + carSelectObj.numberArray[z]).removeClass();
		$("#car_list_" + carSelectObj.numberArray[z]).addClass("carsel_c3");
		$("#car_" + carSelectObj.numberArray[z] + "_none").hide();
		var strValue = carSelectObj.showCarStr(z);
		$("#car_" + carSelectObj.numberArray[z] + "_is").html(strValue);
		$("#car_" + carSelectObj.numberArray[z] + "_is").show();
	}
}

//拼接显示在页面上的车型信息
carSelectProto.prototype.showCarStr = function(carNum) {
	var carValue = carSelectObj.carListArray[carNum];
	var buttonStr = "";
	if(carSelectObj.timeCompare(carValue.upTime)){
		buttonStr = '<button id="car_button_'+ carNum +'" isChange="1" carSuffix="'+ carNum +'" class="btn1">修改</button>';
	}else{
		buttonStr = '<button id="car_button_'+ carNum +'" isChange="0" carSuffix="'+ carNum +'" class="btn1 btn_grey">修改</button>';
	}
	var brandNameStr = "";
	if(carValue.carBrandName.length>16){
		brandNameStr = carValue.carBrandName.substr(0,16) + "...";
	}else{
		brandNameStr = carValue.carBrandName;
	}
	var strValue = '<p><span class="carsel_cp">'+carValue.carNo+'</span>'+
				 '<span class="carsel_cx">'+brandNameStr+'</span>'+
				 buttonStr+'</p>';
	return strValue;				 
}

//绑定添加点击事件
carSelectProto.prototype.attchEvent = function(numCar) {
	$("#car_list_" + carSelectObj.numberArray[numCar]).unbind("click").click(function() {
		if(numCar==0){
			$("#car_select_kindly_reminder_rule").show();
		}else{
			carSelectObj.carSelectSkipAdd();
		}
	})
	for(var h = 0;h<=numCar-1;h++){
		$("#car_list_" + carSelectObj.numberArray[h]).attr("carNum",h);
		$("#car_list_" + carSelectObj.numberArray[h]).unbind("click").click(function(event) {
			stopBubble(event);
			carSelectObj.getDiscount($(this).attr("carNum"));
		})
		$("#car_button_" + h).unbind("click").click(function(event) {
			stopBubble(event);
			var carSuffix = $(this).attr("carSuffix");
			if($(this).attr("isChange")==1){
				carSelectObj.changeCar(1,carSuffix);
			}else{
				carSelectObj.changeCar(0,carSuffix);
			}
		})
	}
}

//改变车型
carSelectProto.prototype.changeCar = function(flag,carNum){
	var carValue = carSelectObj.carListArray[carNum];
	if(flag==0){
		var dateValue = carValue.upTime.replace(/-/g,"/");
	var dates = new Date(dateValue).format("yyyyMMddhhmmss"); 
	var upTimeStr = dates.substr(0,4)+"年"+dates.substr(4,2)+"月"+dates.substr(6,2)+"日"+dates.substr(8,2)+":"+dates.substr(10,2);
	$("#car_select_reminder_all").html(
		'<span>尊敬的用户：<br>'+
			'<span style=" text-indent:30px;">您好！由于您距上次添加/修改此车辆时间不足6个月，所以无法进行修改。</span>'+
			'<span style="margin-top:20px;">下次可修改时间：<br>'+
			upTimeStr + '</span></span>');
	$("#car_select_kindly_reminder").show();
	}else{
		carSelectObj.carSelectSkipAdd(carNum);
	}
}

//我知道了，隐藏提示框
carSelectProto.prototype.carSelectKnow = function(){
	$("#car_select_kindly_reminder").hide();
}

//跳转页面
carSelectProto.prototype.carSelectSkipAdd = function(numCar) {
	$("#car_select_kindly_reminder_rule").hide();
	var jsonData = {};
	jsonData.currCity = carSelectObj.currCity;
	jsonData.province = carSelectObj.province;
	jsonData.userinfo = carSelectObj.userinfo;
	
	if(numCar!=undefined && numCar!=""){
		jsonData.redirectType = 1;
		jsonData.carNo = carSelectObj.carListArray[numCar].carNo;
		jsonData.carBrandName = carSelectObj.carListArray[numCar].carBrandName;
		jsonData.carBrandID = carSelectObj.carListArray[numCar].carBrandID;
		jsonData.carModel = carSelectObj.carListArray[numCar].carModel;
		jsonData.carNoType = carSelectObj.carListArray[numCar].carNoType;
		jsonData.carBrandInfo = carSelectObj.carListArray[numCar].carBrandInfo;
	}else{
		jsonData.redirectType = 0;
	}
	window.cmccmap.ClientCmccMap('{"type":"redirect","callback":"carSelectObj.getCarBindInfo","data":'+ JSON.stringify(jsonData) +',"url":"car_info.html","titlebar":"none","title":""}');
}

//时间比较
carSelectProto.prototype.timeCompare = function(dateStr) {
	dateStr = dateStr.replace(/-/g,"/");
	var dateUp = new Date(dateStr); 
	var dataNow = new Date();
	if(dataNow>=dateUp){
		return true;
	}else{
		return false;
	}
}

carSelectProto.prototype.getDiscount= function(numCar) {
	if(this.statusFlag==true){
		info_window("正在获取洗车券，请不要重复领取");
		return;
	}
	this.statusFlag = true;
	if(1==carSelectObj.type){
		var carmodel = carSelectObj.carListArray[numCar].carModel;
		var carid = carSelectObj.carListArray[numCar].carBrandID;
		var description = carSelectObj.carListArray[numCar].carBrandName;
		var carno = carSelectObj.carListArray[numCar].carNo;
		var searchUrl = apServerURL + "?key=" + carSelectObj.key + "&sn=" + carSelectObj.sn + "&type=riders_assistant&function=newticket&carmodel=" + carmodel + "&carid=" + carid + "&cardescription=" + description + "&carno=" + carno + "&isuser=" + carSelectObj.userinfo.isUser + "&months=" + carSelectObj.userinfo.orders;
		searchUrl = encodeURI(searchUrl);
		var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"carSelectObj.getDiscountCallback","url":"' + searchUrl + '","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
		window.cmccmap.ClientCmccMap(json);
	}else if(2==carSelectObj.type){
		var searchUrl = apServerURL + "?key=" + carSelectObj.key + "&sn=" + carSelectObj.sn + "&type=riders_assistant&function=get_activity_ticket&activityid="+carSelectObj.activityId+"&carbindid="+carSelectObj.carListArray[numCar].carID;
		var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"carSelectObj.getActivityCallback","url":"' + searchUrl + '","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
		window.cmccmap.ClientCmccMap(json);
	}
	
}

carSelectProto.prototype.getDiscountCallback= function(data) {
	if (null == data || "0000" != data.status) {
		this.statusFlag = false;
		info_window("获取车辆信息失败，请稍后重试");
		return;
	}
	data = data.result;
	if (null == data || "success" != data.status || 0 == data.result.length) {
		this.statusFlag = false;
		info_window("获取车辆信息失败，请稍后重试。");
		return;
	};
	window.cmccmap.ClientCmccMap('{"type":"back_with_data","backtag":"xiche","data":"1","backflag":1}');
}

carSelectProto.prototype.getActivityCallback= function(data) {
	if (null == data || "0000" != data.status) {
		this.statusFlag = false;
		info_window("获取车辆信息失败，请稍后重试");
		return;
	}
	data = data.result;
	if ("success" == data.status) {
		window.cmccmap.ClientCmccMap('{"type":"back_with_data","backtag":"xiche","data":"1","backflag":1}');
		//window.cmccmap.ClientCmccMap('{"type":"redirect","callback":"","data":"'+ carSelectObj.currCity +'","url":"../common/template.html","titlebar":"none","title":""}');
	}else{
		if ("用户已经没有可下发的洗车券了!" == data.status_msg && "failure" == data.status) {
			window.cmccmap.ClientCmccMap('{"type":"back_with_data","backtag":"xiche","data":"1","backflag":1}');
			//window.cmccmap.ClientCmccMap('{"type":"redirect","callback":"","data":"'+ carSelectObj.currCity +'","url":"../common/template.html","titlebar":"none","title":""}');
		}else{
			this.statusFlag = false;
			info_window("获取车辆信息失败，请稍后重试");
			return;
		}
	}
}

//阻止冒泡
function stopBubble(e){
	if(e&&e.stopPropagation){//非IE
		e.stopPropagation();
	}else{//IE
		window.event.cancelBubble=true;
	}
}