var frontData = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_bundle_data"}'));
var changkeCityList = frontData.cityList;
var chufadiPin = frontData.chufadiPin;
var chufadi = frontData.chufadi;
var resultArray = frontData.resultArray;

//长客相关显示初始化
$(function(){
	var html = "";
	for(i in resultArray){
		html += resultArray[i];
	}
	$("#searchResult").empty();
	$("#searchResult").html(html);
	$("#searchResult li").unbind().bind("click",changkeCityClick);
	//输入框事件绑定
	$("#keyword").focus(function(){
		$(this).attr("class","searchclick");
		$("#clear").show();
		$("#cancle").show();
	}).bind('input propertychange',function(){
		if($(this).val().trim()!=""){
			var resultArr = changkeFindCity($(this).val());
			if(resultArr.length == 0){
				$("#searchResult").html('<li>没有搜索结果</li>');
				$("#searchResult li").unbind();
			}else{
				var html = "";
				for(j in resultArr){
					html += resultArr[j];
				}
				$("#searchResult").html(html);
				$("#searchResult li").unbind().bind("click",changkeCityClick);
			}
		}else{
			$("#searchResult").empty();
			var html = "";
			for(i in resultArray){
				html += resultArray[i];
			}
			$("#searchResult").html(html);
			$("#searchResult li").unbind().bind("click",changkeCityClick);
		}
	})
});

//根据关键字查询城市
function changkeFindCity(cityValue){
	var resultArr = new Array();
	cityValue = cityValue.toLowerCase();
	//console.log(citySortArr.length);
	for(var i=0;i<changkeCityList.length;i++){
		//对每个字母内进行搜索
		if (changkeCityList[i].ArriveStationName.toLowerCase().indexOf(cityValue)>=0
			|| changkeCityList[i].ArriveStationQP.toLowerCase().indexOf(cityValue)>=0
			|| changkeCityList[i].ArriveStationJP.toLowerCase().indexOf(cityValue)>=0){
			var html = "<li arrivestationname='"+changkeCityList[i].ArriveStationName+"' arrivestationqp='"+changkeCityList[i].ArriveStationQP+"'>"+changkeCityList[i].ArriveStationName+"</li>";
			resultArr.push(html);
		};
	}
	//console.log(resultArr.length);
	return resultArr;
}

//长客城市点击事件
function changkeCityClick(){
	var obj = $(this);

	//页面跳转
	var data = {
		"chufadi":chufadi,
		"mudidi":obj.attr("arrivestationname"),
		"chufadiPin":chufadiPin,
		"mudidiPin":obj.attr("arrivestationqp")
	};
	//alert(JSON.stringify(data));
	data = JSON.stringify(data);
	var jsonData = '{"type":"redirect","callback":"","data":'+data+',"url":"changke_list.html","titlebar":"none","title":""}';
	window.cmccmap.ClientCmccMap(jsonData);
}

//输入框点击清除
function clearKeyword(){
	$("#keyword").val("");
	$("#searchResult").empty();
	var html = "";
	for(i in resultArray){
		html += resultArray[i];
	}
	$("#searchResult").html(html);
	$("#searchResult li").unbind().bind("click",changkeCityClick);
	$("#keyword").focus();
}

//输入框点击取消
function cancleKeyword(){
	$("#keyword").attr("class","");
	$("#keyword").val("");
	$("#searchResult").empty();
	var html = "";
	for(i in resultArray){
		html += resultArray[i];
	}
	$("#searchResult").html(html);
	$("#searchResult li").unbind().bind("click",changkeCityClick);
	$("#clear").hide();
	$("#cancle").hide();
	$("#keyword").blur();
}

//返回按钮点击事件
function backBtnClick(){
	window.cmccmap.ClientCmccMap('{"type":"on_go_back"}');
}