window.cmccmap.ClientCmccMap('{"type":"regiresume","callback":"resumeCallback"}');
MAX_LEFT = 239;
MAX_RIGHT = 94;
var apserver = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}')).ap_base_url;
var ku;
var stName = "";
var picFlg = 0;
$(function(){	
	busObj = new busProto();
	var baseInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_poi_baseinfo"}'));
	this.realTimeValue = window.cmccmap.ClientCmccMap('{"type":"get_showsation"}');
	$("#realtimacalltext").html(this.realTimeValue);
	ku = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
	stName = baseInfo.name;
	window.cmccmap.ClientCmccMap('{"type":"get_busline","callback":"busObj.get_busline_async"}');
	//页面重新加载
	window.resumeCallback = function(){
		busObj = new busProto();
		var baseInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_poi_baseinfo"}'));
		this.realTimeValue = window.cmccmap.ClientCmccMap('{"type":"get_showsation"}');  
		$("#realtimacalltext").html(this.realTimeValue);
		ku = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
		stName = baseInfo.name;
		window.cmccmap.ClientCmccMap('{"type":"get_busline","callback":"busObj.get_busline_async"}');
	}
})

var busProto = function(){
	this.adcode = "";
	this.nearbyBusList = new Array();
	this.liItemArr = new Array();
	this.curActiveItem;
	this.startX = 0;
	this.endX = 0;
	this.keyNameSearch = "";
	this.stationNameSearch = "";
	this.seTimeSearch = "";
	this.numId = 0;
	this.idArr = new Array();
	this.remindList = new Array();
	this.seTimeList = new Array();
	this.realTimeValue = "";
}

//请求附近公交线路callback，获取附近公交线路列表后请求实时公交数据和线路首末车时间(等接口)
//根据客户端返回的数据，先进行处理
busProto.prototype.get_busline_async = function(data){
	var data = JSON.parse(data);
	if(data.linesize<=0){
//		info_window("客户端返回数据失败");
		return;
	}
	setInterval(Fixedrefresh, 15000);
	// $(".address").hide();
	$("#style").removeClass("address2_two").addClass("address2_one");
	$("#correction").hide();
	$("#poiAddr").hide();
	$(".allbus").show();

	$('#feedback').off("click").click(function(){
		window.cmccmap.ClientCmccMap('{"type":"on_feedback","from":"bus"}');
	});

	var stations = data.result;
	//可能有多个附近公交站点，每个公交站点有多条公交线路，先遍历公交站点，内部遍历公交线路
	for(var i=0;i<stations.length;i++){
		//最多显示五组线路（上下行为一组），每组数据包含go和back两个属性，分别存储上行线路和下行线路
		if (this.nearbyBusList.length>=5) {
			break;
		};
		var stationName = stName;
		var lineIdList = stations[i].id.split(",");
		var passRouteList = stations[i].name.split(",");
		//遍历公交线路
		for (var j = 0; j < passRouteList.length; j++) {
			var nearbyBusLength = this.nearbyBusList.length;
			var lineId = lineIdList[j];
			var passRoute = passRouteList[j];
			var busMsg = getPassRouteMsg(passRoute);
			var busName = busMsg.busName,
				startName = busMsg.startName,
				endName = busMsg.endName;
			//busFlg判断公交状态   false:不是同一辆车 true:是同一辆车(上下行) 
			var busFlg = false;

			//在已存的线路中遍历，找出是否有其相同线路(完全相同) ,每组数据有上下行，所以都要判断
			for (var k = 0; k < nearbyBusLength; k++) {
				var nearbyBusGo = this.nearbyBusList[k].go;
				//判断上下行，除了公交线路名相同，还要起始站点名相同
				if(busName==nearbyBusGo.busName&&startName==nearbyBusGo.startName&&endName==nearbyBusGo.endName){
					busFlg = true;
					break;
				}
				var nearbyBusBack = this.nearbyBusList[k].back;
				if ("undefined"!=typeof(nearbyBusBack)&&busName==nearbyBusBack.busName&&startName==nearbyBusBack.startName&&endName==nearbyBusBack.endName) {
					busFlg = true;
					break;
				};
			};
			//在已存的线路中遍历，找出是否有其相同线路(上下行) 
			if (false==busFlg) {
				for (var k = 0; k < nearbyBusLength; k++) {
					var nearbyBus = this.nearbyBusList[k].go;
					//判断上下行，除了公交线路名相同，还要起始站点名相同，存为back
					if(busName==nearbyBus.busName&&startName==nearbyBus.endName&&endName==nearbyBus.startName) {
						busFlg = true;
						var back = {
							"flag":"back",
							"busName":busName,
							"startName":startName,
							"endName":endName,
							"stationName":stationName,
							"lineId":lineId,
							"passRoute":passRoute
						};
						this.nearbyBusList[k].back = back;
					};
				};
			};
			//新线路，存为go
			if(false==busFlg && nearbyBusLength<5){
				var go = {
					"flag":"go",
					"busName":busName,
					"startName":startName,
					"endName":endName,
					"stationName":stationName,
					"lineId":lineId,
					"passRoute":passRoute
				};
				this.nearbyBusList[nearbyBusLength] = new Object();
				this.nearbyBusList[nearbyBusLength].go = go;
			}
		};
	}
	//设置adcode
	this.adcode =stations[0].cityCode;
	this.keyNameSearch="";
	this.stationNameSearch="";
	var x=0;
	this.remindList = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_buslinestaiontips"}'));
	for (var i = 0; i < this.nearbyBusList.length; i++) {
		var back = this.nearbyBusList[i].back;
		if("undefined"!=typeof(back)){
			this.keyNameSearch+=back.passRoute+";";
			this.stationNameSearch+=back.stationName+";";
			this.seTimeSearch+=back.lineId+",";
			this.idArr[x] = back.passRoute + back.stationName;
			x++;
			for(var j = 0;j<this.remindList.length;j++){
				var remindOne = this.remindList[j];
				if(remindOne.name == back.passRoute && remindOne.station == back.stationName){
					back.remind = remindOne.type=="0"?"上班":""||remindOne.type=="1"?"下班":""||remindOne.type=="2"?"临时":""
				}
			}
		}
		var go = this.nearbyBusList[i].go;
		this.keyNameSearch+=go.passRoute+";";
		this.stationNameSearch+=go.stationName+";";
		this.seTimeSearch+=go.lineId+",";
		this.idArr[x] = go.passRoute + go.stationName;
		x++;
		for(var j = 0;j<this.remindList.length;j++){
			var remindOne = this.remindList[j];
			if(remindOne.name == go.passRoute && remindOne.station == go.stationName){
				go.remind = remindOne.type=="0"?"上班":""||remindOne.type=="1"?"下班":""||remindOne.type=="2"?"临时":""
			}
		}
	};
	busObj.getBusTime();
}

//请求实时公交首末车时间
busProto.prototype.getBusTime = function(){
	var startEndurl = apserver+"?key="+ku+"&sn="+getSn()+"&type=bus_route&function=get_bus_by_lineid&lineId="+this.seTimeSearch;
	sendGet(startEndurl,"busObj.getBusTimeCallback","请求实时数据。。。");
}

//请求实时公交首末车时间回调函数
busProto.prototype.getBusTimeCallback = function(data){
	if("undefined"==typeof(data)||"0000"!=data.status){
//		info_window("首末车时间失败");
	}else{
		var list = data.result.result.list;
		for(var i=0;i<list.length;i++){
			var startTime = list[i].start_time.substr(0,2)+ ":" +list[i].start_time.substr(2,2);
			var endTime = list[i].end_time.substr(0,2) + ":" + list[i].end_time.substr(2,2);
			var seTime = startTime + "-" + endTime;
			this.seTimeList.push(seTime);
		}
	}
	busObj.realTimeBusCallback();
	busObj.getRealTimeBus();
}

//请求实时公交
busProto.prototype.getRealTimeBus = function(data){
	var realTimeBusUrl=apserver+"?key="+ku+"&sn="+getSn()+"&type=real_time_bus&function=get_realinfo_by_line_station&city="+this.adcode+"&keyName="+this.keyNameSearch+"&stationName="+this.stationNameSearch + "&tranNumber=1&serviceType=0";
    sendGet(realTimeBusUrl,"busObj.realTimeBusCallback","","none");
}
//请求实时公交callback
busProto.prototype.realTimeBusCallback = function(data){
	if("undefined"==typeof(data)||"0000"!=data.status){
//		info_window("实时公交失败");
	}else{
		if(data.result.result.length==1&&data.result.result[0].RspCode!=0){
			var result = undefined;
	//		var result = {"result":[{"RspCode":"6","RspDesc":"没有相关数据","KeyName":"286路(龙之梦亚太城--214路停车场北门)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"0","RspDesc":"成功","KeyName":"245路(南塔客运站--金山小区)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A911013","LineLength":"865.6411284418897","StNumber":"1","X":"123.48586942071587","Y":"41.798757198356185","Speed":"57","ArriveTime":"1","UpdateTime":"20151211152103"},{"RspCode":"0","RspDesc":"成功","KeyName":"245路(金山小区--南塔客运站)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A914012","LineLength":"26.567530364611443","StNumber":"0","X":"123.4890971793944","Y":"41.80672420360894","Speed":"0","ArriveTime":"1","UpdateTime":"20151211152105"},{"RspCode":"10","RspDesc":"查无数据","KeyName":"173路(龙之梦亚太城--长白苑)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"10","RspDesc":"查无数据","KeyName":"207路(龙之梦亚太城--工业大学兴顺校区)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"0","RspDesc":"成功","KeyName":"276路空调(龙之梦亚太城--沈阳理工大学)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A930312","LineLength":"27.345989649047674","StNumber":"0","X":"123.48913508122605","Y":"41.80698510118249","Speed":"43","ArriveTime":"1","UpdateTime":"20151211152117"}],"sn":"20151201103451","status":"success","status_msg":""};
	//		result = result.result;
		}else{
			var result = data.result.result;
			for(var i = 0;i<result.length;i++){
				if(result[i].RspCode==0){
					$("#realTimeCall").show();
				}
			}
	//		var result = {"result":[{"RspCode":"6","RspDesc":"没有相关数据","KeyName":"286路(龙之梦亚太城--214路停车场北门)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"0","RspDesc":"成功","KeyName":"245路(南塔客运站--金山小区)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A911013","LineLength":"865.6411284418897","StNumber":"1","X":"123.48586942071587","Y":"41.798757198356185","Speed":"57","ArriveTime":"1","UpdateTime":"20151211152103"},{"RspCode":"0","RspDesc":"成功","KeyName":"245路(金山小区--南塔客运站)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A914012","LineLength":"26.567530364611443","StNumber":"0","X":"123.4890971793944","Y":"41.80672420360894","Speed":"0","ArriveTime":"1","UpdateTime":"20151211152105"},{"RspCode":"10","RspDesc":"查无数据","KeyName":"173路(龙之梦亚太城--长白苑)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"10","RspDesc":"查无数据","KeyName":"207路(龙之梦亚太城--工业大学兴顺校区)","StationName":"龙之梦红星美凯龙","ZBCODE":[],"LineLength":[],"StNumber":[],"X":[],"Y":[],"Speed":[],"ArriveTime":[],"UpdateTime":[]},{"RspCode":"0","RspDesc":"成功","KeyName":"276路空调(龙之梦亚太城--沈阳理工大学)","StationName":"龙之梦红星美凯龙","ZBCODE":"辽A930312","LineLength":"27.345989649047674","StNumber":"0","X":"123.48913508122605","Y":"41.80698510118249","Speed":"43","ArriveTime":"1","UpdateTime":"20151211152117"}],"sn":"20151201103451","status":"success","status_msg":""};
	//		result = result.result;
		}
	}
	this.numId = 0;
	picFlg = 0;
	var html = "";
	for (var i = 0,j=0; i < this.nearbyBusList.length; i++) {
		var back = this.nearbyBusList[i].back;
		if("undefined"!=typeof(back)){
			if(result == undefined){
				back.stNum = "";
				back.RspCode = "";
				back.startendTime = this.seTimeList[j] || "";
			}else if(result[j] == undefined){
				back.stNum = "";
				back.RspCode = "";
				back.startendTime = this.seTimeList[j] || "";
			}else{
				back.stNum = result[j].StNumber || "";
				back.RspCode = result[j].RspCode || "";
				back.startendTime = this.seTimeList[j] || "";
			}
			j++;
			var nearHtmlBack = "";
			var nearClassBack = "";
			var remindValue = "";
			var imgStr = "images/bus_dot_d.gif";
			var classP1 = "";
			var classP2 = "";
			var classP3 = "";
			var stationClass = "";
			if(back.remind!=""&&back.remind!=undefined&&back.remind!="undefined"){
				remindValue = back.remind;
				imgStr = "images/bus_dot2_d.gif"
				if(back.remind == "上班"){
					classP1 = 'class = "bus_shang"';
				}else if(back.remind == "下班"){
					classP2 = 'class = "bus_shang"';
				}else{
					classP3 = 'class = "bus_shang"';
				}
			}
			if(back.stNum == "" || back.stNum == null || back.stNum == "null" || back.stNum == undefined){
				nearHtmlBack = '';
				nearClassBack = 'noMove';
			}else{
				if(imgStr == "images/bus_dot_d.gif" && picFlg == 0){
					imgStr = "images/bus_dot_d.gif"
				}else if(imgStr == "images/bus_dot2_d.gif" && picFlg == 0){
					imgStr = "images/bus_dot2_d.gif"
				}else if(imgStr == "images/bus_dot_d.gif" && picFlg != 0){
					imgStr = "images/dot_3.png"
				}else{
					imgStr = "images/dot_1.png"
				}
				picFlg++;
				var stationStr = "";
				if(back.stNum == 0){
					stationStr = "即将达到";
					stationClass = " bus_color";
				}else{
					stationStr = '还有'+back.stNum+'站';
				}
				nearHtmlBack = '<span>'+stationStr+'<b>'+remindValue+'</b><img class="img_dot" src="'+imgStr+'"></span>';
				nearClassBack = '';
			}
			html += '<li id = "busline' + this.numId + '" class = "'+ nearClassBack + '" busnameArr="'+ back.passRoute +'" busidArr="'+ back.lineId +'" busstationArr="'+ back.stationName +'" busrspCodeArr="'+ back.RspCode +'">' +
						'<div class="bus_detail">'+
						'<p class="bus_1">'+back.busName+'</p>'+
						'<p class="bus_2'+stationClass+'">'+back.startName+' - '+back.endName + nearHtmlBack+'</p>'+
						'<p class="bus_time"><span><img src="images/start.png">'+back.startendTime.split("-")[0]+'</span><span><img src="images/end.png">'+back.startendTime.split("-")[1]+'</span></p>'+
						'</div>'+
						'<div>'+
							'<div class="bus_left">取消提醒</div>'+
							'<div class="bus_right">'+
							'<p '+classP1+'>上班提醒</p>'+
							'<p '+classP2+'>下班提醒</p>'+
							'<p '+classP3+'>临时提醒</p>'+
							'</div>'+
						'</div>'+
					'</li>';
			this.numId++;
		}
		var go = this.nearbyBusList[i].go;
		if(result == undefined){
			go.stNum = "";
			go.RspCode = "";
			go.startendTime = this.seTimeList[j] || "";
		}else if(result[j] == undefined){
			go.stNum = "";
			go.RspCode = "";
			go.startendTime = this.seTimeList[j] || "";
		}else{
			go.stNum = result[j].StNumber || "";
			go.RspCode = result[j].RspCode || "";
			go.startendTime = this.seTimeList[j] || "";
		}
		j++;
		var nearHtmlGo = "";
		var nearClassGo = "";
		var imgStr = "images/bus_dot_d.gif";
		var remindValue = "";
		var classP1 = "";
		var classP2 = "";
		var classP3 = "";
		var stationClass = "";
		if(go.remind!="" && go.remind!=undefined && go.remind!="undefined"){
			remindValue = go.remind;
			imgStr = "images/bus_dot2_d.gif"
			if(go.remind == "上班"){
				classP1 = 'class = "bus_shang"';
			}else if(go.remind == "下班"){
				classP2 = 'class = "bus_shang"';
			}else{
				classP3 = 'class = "bus_shang"';
			}
		}
		if(go.stNum == "" || go.stNum == null || go.stNum == "null" || go.stNum == undefined){
			nearHtmlGo = '';
			nearClassGo = ' noMove';
		}else{
			if(imgStr == "images/bus_dot_d.gif" && picFlg == 0){
				imgStr = "images/bus_dot_d.gif"
			}else if(imgStr == "images/bus_dot2_d.gif" && picFlg == 0){
				imgStr = "images/bus_dot2_d.gif"
			}else if(imgStr == "images/bus_dot_d.gif" && picFlg != 0){
				imgStr = "images/dot_3.png"
			}else{
				imgStr = "images/dot_1.png"
			}
			picFlg++;
			var stationStr = "";
			if(go.stNum == 0){
				stationStr = "即将达到";
				stationClass = " bus_color";
			}else{
				stationStr = '还有'+go.stNum+'站';
			}
			nearHtmlGo = '<span>'+stationStr+'<b>'+remindValue+'</b><img class="img_dot" src="'+imgStr+'"></span>';
			nearClassGo = '';
		}
		
		{
			html += '<li id = "busline' + this.numId + '" class="border_7c'+ nearClassGo +'" busnameArr="'+ go.passRoute +'" busidArr="'+ go.lineId +'" busstationArr="'+ go.stationName +'" busrspCodeArr="'+ go.RspCode +'">' +
						'<div class="bus_detail">'+
						'<p class="bus_1">'+go.busName+'</p>'+
						'<p class="bus_2'+stationClass+'">'+go.startName+' - '+go.endName + nearHtmlGo + '</p>'+
						'<p class="bus_time"><span><img src="images/start.png">'+go.startendTime.split("-")[0]+'</span><span><img src="images/end.png">'+go.startendTime.split("-")[1]+'</span></p>'+
						'</div>'+
						'<div>'+
							'<div class="bus_left">取消提醒</div>'+
							'<div class="bus_right">'+
								'<p '+classP1+'>上班提醒</p>'+
								'<p '+classP2+'>下班提醒</p>'+
								'<p '+classP3+'>临时提醒</p>'+
							'</div>'+
						'</div>'+
					'</li>';
			this.numId++;
		}
	};
	$("#buslist").html(html);
	busObj.attchEvent();
}

//绑定公交线路各控件点击事件,在所有请求完成之后
busProto.prototype.attchEvent = function(){
	this.liItemArr = $("#buslist>li");
	for(var i=0;i<this.liItemArr.length;i++){
		var liItem = this.liItemArr[i];
		//公交正文部分点击跳转
		$(liItem).find(".bus_detail")[0].addEventListener('click', function(e){
			var test = $(this).parent();
			var busid = test.attr("busidArr");
			var rspcode = test.attr("busrspCodeArr");
			var stationname = test.attr("busstationArr");
			busObj.clientSearchBusLineById(busid,rspcode,stationname);
		},false);
		//判断当前的li是否有滑动效果，如果li的class属性中存在noMove,则不绑定滑动效果
		if($(liItem).attr("class") == "noMove" || $(liItem).attr("class") == "border_7c noMove"){
			continue;
		}
		divItem = $(liItem).find(".bus_detail")[0];
		//记录节点当前偏移位置
		divItem.posX = 0;
		//记录节点起始偏移位置
		divItem.fixX = 0;
		//整个节点绑定touchstart、touchmove、touchend事件,控制左滑、右滑
		divItem.addEventListener('touchstart', function(e){
			this.style.transition="-webkit-transform 0ms";
//			if(typeof(busObj.curActiveItem)=="undefined"){
//				busObj.curActiveItem = this;
//			}else if (busObj.curActiveItem!=this) {
//				busObj.curActiveItem.posX = 0;
//				busObj.curActiveItem.fixX = 0;
//				busObj.curActiveItem.style.webkitTransform = 'translate(0,0)';
//				busObj.curActiveItem = this;
//			};
//			$("#t").val("start "+this.fixX+" "+busObj.endX+"  "+busObj.startX);
			busObj.startX = e.touches[0].pageX;
			busObj.endX = e.touches[0].pageX;
		}, false);
		divItem.addEventListener('touchmove', function(e){
			busObj.endX = e.touches[0].pageX;
			this.posX = this.fixX + busObj.endX - busObj.startX;
			if(-MAX_LEFT<this.posX && this.posX<MAX_RIGHT*0.8){
				this.style.webkitTransform = 'translate('+this.posX+'px,0)';
				$(this).parent().find(".bus_left").addClass("bus_right_eee");
			}else if(this.posX>MAX_RIGHT*0.8){
				$(this).parent().find(".bus_left").removeClass("bus_right_eee");
				if(this.posX<MAX_RIGHT){
					this.style.webkitTransform = 'translate('+this.posX+'px,0)';
				}else{
					this.style.webkitTransform = 'translate('+MAX_RIGHT+'px,0)';
				}
			}else if(this.pox<-MAX_LEFT){
				this.style.webkitTransform = 'translate('+(-MAX_LEFT)+'px,0)';
			}
		}, false);
		divItem.addEventListener('touchend', function(e){
			if(this.posX<-MAX_LEFT/2) {
				this.fixX = -MAX_LEFT;
				if(typeof(busObj.curActiveItem)=="undefined"){
					busObj.curActiveItem = this;
				}else if (busObj.curActiveItem!=this) {
					busObj.curActiveItem.posX = 0;
					busObj.curActiveItem.fixX = 0;
					busObj.curActiveItem.style.transition="-webkit-transform 400ms";
					busObj.curActiveItem.style.webkitTransform = 'translate(0,0)';
					busObj.curActiveItem = this;
				};
			}else if(this.posX>MAX_RIGHT*0.8) {
				if(typeof(busObj.curActiveItem)=="undefined"){
					busObj.curActiveItem = this;
				}else if (busObj.curActiveItem!=this) {
					busObj.curActiveItem.posX = 0;
					busObj.curActiveItem.fixX = 0;
					busObj.curActiveItem.style.transition="-webkit-transform 400ms";
					busObj.curActiveItem.style.webkitTransform = 'translate(0,0)';
					busObj.curActiveItem = this;
				};
				var test = $(this).parent();
				var busid = test.attr("busidArr");
				var busstation = test.attr("busstationArr");
				var busname = test.attr("busnameArr");
				busObj.deleteremindBus(busid,busstation,busname);
//				$("#t").val("取消了");
				this.fixX = 0;
				$(this).parent().find(".bus_left").addClass("bus_right_eee");
			}else{
				this.fixX = 0;
			}
			this.style.webkitTransform = 'translate('+this.fixX+'px,0)';
		}, false);
		//获取提醒标签<p>，绑定事件
		var innerPList = $(liItem).find(".bus_right>p");
		//上班提醒
		innerPList[0].addEventListener("click",function(e){
			var test = $(this).parent().parent().parent();
			var busid = test.attr("busidArr");
			var busstation = test.attr("busstationArr");
			var busname = test.attr("busnameArr");
//			$("#t").val("work click");
			busObj.remindBus(busid,busstation,busname,0);
		},false);
		//下班提醒
		innerPList[1].addEventListener("click",function(e){
			var test = $(this).parent().parent().parent();
			var busid = test.attr("busidArr");
			var busstation = test.attr("busstationArr");
			var busname = test.attr("busnameArr");
//			$("#t").val("rest click");
			busObj.remindBus(busid,busstation,busname,1);
		},false);
		//临时提醒
		innerPList[2].addEventListener("click",function(e){
			var test = $(this).parent().parent().parent();
			var busid = test.attr("busidArr");
			var busstation = test.attr("busstationArr");
			var busname = test.attr("busnameArr");
//			$("#t").val("once click");
			busObj.remindBus(busid,busstation,busname,2);
		},false);
	}
}

//客户端搜索公交线路id
busProto.prototype.clientSearchBusLineById= function(id,rspcode,stationname) {
	var json = '{"type":"buslinebyid","data":{"id":"' + id + '","citycode":"' + this.adcode + '","rsp":"' + rspcode + '","stationnamemin":"'+stationname+'"}}';
	window.cmccmap.ClientCmccMap(json);
}

//设置公交提醒，type=0，1，2；分别是上班 下班 临时提醒
busProto.prototype.remindBus= function(id,station,busname,type){
	var json = '{"type":"addbustip","data":{"id":"' + id + '","citycode":"' + this.adcode + '","station":"' + station + '","busname":"' + busname + '","callback":"busObj.remindBusCallback","type":"' + type + '"}}';
	window.cmccmap.ClientCmccMap(json);
}

//设置公交提醒的回调函数，返回的格式为string
busProto.prototype.remindBusCallback= function(data) {
	data = JSON.parse(data);
	if(data.status!=0){
//		info_window("设置公交提醒失败");
		return;
	}
	//获取当前操作的li的id编号
	var liid = this.idArr.indexOf(data.busname+data.curstation);
	var remind = "";
	//控制显示样式
	//获取当前操作的li
	var liElem = $("#busline"+liid);
	//将图片样式改变
	if($(liElem).find("img").attr('src')=="images/bus_dot_d.gif"){
		$(liElem).find("img").attr('src','images/bus_dot2_d.gif');
	}else if($(liElem).find("img").attr('src')=="images/bus_dot2_d.gif"){
		$(liElem).find("img").attr('src','images/bus_dot2_d.gif');
	}else{
		$(liElem).find("img").attr('src','images/dot_1.png');
	}
	//获取当前选择的三个P标签
	var innerP = $(liElem).find(".bus_right>p");
	//判断当前是上班、下班、临时提醒，然后改变对应的样式
	if(data.type == "0"){
		remind = "上班";
		innerP.removeClass();
		$(innerP[0]).addClass("bus_shang");
	}else if(data.type == "1"){
		remind = "下班";
		innerP.removeClass();
		$(innerP[1]).addClass("bus_shang");
	}else{
		remind = "临时";
		innerP.removeClass();
		$(innerP[2]).addClass("bus_shang");
	}
	$(liElem).find(".bus_2>span>b").html(remind);
	//将滑动样式归位
	(liElem).find(".bus_detail")[0].style.webkitTransform = 'translate(0,0)';
	(liElem).find(".bus_detail")[0].posX = 0;
	(liElem).find(".bus_detail")[0].fixX = 0;
	//将设置的提醒加入对应的数组，因为只能一次设置一个提醒，找到后，就可以return了
	for(var i = 0; i < this.nearbyBusList.length; i++){
		var back = this.nearbyBusList[i].back;
		if("undefined"!=typeof(back)){
			if(data.busname == back.passRoute && data.curstation == back.stationName){
				back.remind = remind;
				break;
			}
		}
		var go = this.nearbyBusList[i].go;
		if(data.busname == go.passRoute && data.curstation == go.stationName){
			go.remind = remind;
			break;
		}
	}
}

//取消公交提醒，type=0，1，2；分别是上班 下班 临时提醒
busProto.prototype.deleteremindBus = function(id,station,busname){
	var json = '{"type":"delbustip","data":{"id":"' + id + '","citycode":"' + this.adcode + '","station":"' + station + '","busname":"' + busname + '","callback":"busObj.deleteremindBusCallback"}}';
	window.cmccmap.ClientCmccMap(json);
}

//取消公交提醒的回调函数，返回的格式为string
busProto.prototype.deleteremindBusCallback = function(data){
	data = JSON.parse(data);
	if(data.status!="0"){
//		info_window("取消公交提醒失败");
		return;
	}
	//获取当前操作的li的id编号
	var liid = this.idArr.indexOf(data.busname+data.station);
	//控制显示样式
	//获取当前操作的li
	var liElem = $("#busline"+liid);
	//将图片样式改变
	if($(liElem).find("img").attr('src')=="images/bus_dot2_d.gif"){
		$(liElem).find("img").attr('src','images/bus_dot_d.gif');
	}else if($(liElem).find("img").attr('src')=="images/bus_dot_d.gif"){
		$(liElem).find("img").attr('src','images/bus_dot_d.gif');
	}else{
		$(liElem).find("img").attr('src','images/dot_3.png');
	}
	//获取当前选择的三个P标签
	var innerP = $(liElem).find(".bus_right>p");
	//取消掉设置提醒的样式
	innerP.removeClass();
	//去掉设置提醒的文字
	$(liElem).find(".bus_2>span>b").html("");
	//将设置的提醒加入对应的数组，因为只能一次设置一个提醒，找到后，就可以return了
	for(var i = 0; i < this.nearbyBusList.length; i++){
		var back = this.nearbyBusList[i].back;
		if("undefined"!=typeof(back)){
			if(data.busname == back.passRoute && data.station == back.stationName){
				back.remind = undefined;
				break;
			}
		}
		var go = this.nearbyBusList[i].go;
		if(data.busname == go.passRoute && data.station == go.stationName){
			go.remind = undefined;
			break;
		}
	}
}

//根据passRoute获取线路的名称、起始站点名称，passRoute的格式为 538路(孙河东--国家体育场东)
function getPassRouteMsg(passRoute){
	var busName = "",
		startName = "",
		endName = "";

	var start = passRoute.indexOf("--");
	var pos = 0;
	var rightBrac = 0;
	for(;start>0;--start){
		var checkChar = passRoute.charAt(start);
		if(checkChar=='（'||checkChar=='('){
			if(rightBrac==0){
				pos = start;
				break;
			}else{
				rightBrac--;
			}
		}else if(checkChar==')'||checkChar=='）'){
			rightBrac++;
		}
	}
	busName = passRoute.substring(0, pos);
	var busDesc = passRoute.substring(pos + 1,passRoute.length - 1);
	startName = busDesc.split("--")[0];
	endName = busDesc.split("--")[1];
	return {"busName":busName,"startName":startName,"endName":endName};
}

function getLocation(){
	var lnglat = window.cmccmap.ClientCmccMap('{"type":"location_xy"}');

	var lng = lnglat.split("|")[0] || "";
	var lat = lnglat.split("|")[1] || "";
	return {"lng":lng,"lat":lat};
}

function getSn(){
	return new Date().format("yyyyMMddhhmmss");
}

//15秒一刷新
function Fixedrefresh(){
	busObj.getRealTimeBus();
}

//发送get请求
function sendGet(request,successCallback,loadMsg,showload){
	var url = encodeURI(request);
	var json = '{"type":"ajax","data":{"showload":"'+(showload||"no")+'","loadingmsg":"'+(loadMsg||"")+'","version":"1.0.0","attach":"","callback":"'+successCallback+'","url":"'+url+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
	window.cmccmap.ClientCmccMap(json);
}

//弹出信息提示
function info_window(info){
	window.cmccmap.ClientCmccMap('{"type":"toast","data":{"content":"'+info+'"}}');
}
//设置提醒，调到客户端接口
function timecall(){
	var json = '{"type":"bussetalert"}';
	window.cmccmap.ClientCmccMap(json);
}
