window.cmccmap.ClientCmccMap('{"type":"regiresume","callback":"scenic.init"}');
$(function(){
	/**
	 *门票模块处理对象
	 **/
	var scenicPro = function () {
		var baseInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_poi_baseinfo"}'));
		this.title = baseInfo.name;
		this.id = baseInfo.id;
//		this.title = "故宫";
		this.ticket_result = "";
		this.xc_url = "http://u.ctrip.com/union/CtripRedirect.aspx?TypeID=654&sourceid=1&sid=511276&allianceid=67990&ouid=";
		this.tc_url = "http://m.ly.com/scenery/booking/book1.html?refid=65381417";
		this.key = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
//		this.key = "008";
		this.sn = "";
		this.scenicInfo = {};
		this.has_ticket=0;
		this.xcNum = 0;
		this.tcNum = 0;
		this.citycode = baseInfo.citycode;
		$("#guideShare").click(function(){
			// 获取POI信息
			var urlJson = {};
			urlJson.type = 'on_share_guide';
			urlJson.poi_name = scenic.title;
			urlJson.poi_id = scenic.id;
			urlJson.showload = "none";
			urlJson.citycode = scenic.citycode;
			window.cmccmap.ClientCmccMap(JSON.stringify(urlJson));
		})
		//去订购
		$("#guideOder").click(function(){
			// 获取POI信息
			var urlJson = {};
			urlJson.type = 'go_guide_order';
			urlJson.data = scenic.id;
			urlJson.from = "guide51";
			urlJson.showload = "none";
			urlJson.callback = "scenic.get_has_orderguideis_async";
			window.cmccmap.ClientCmccMap(JSON.stringify(urlJson));
		})
	};
	/**
	 *门票模块初始化
	 **/
	scenicPro.prototype.init = function () {
		$("#scenic_xc_ticket_part").hide();
		$("#scenic_xc_ticket_all").hide();
		$("#scenic_xc_click_all").hide();
		$("#scenic_xc_click_part").hide();
		$("#scenic_tc_click_all").hide();
		$("#scenic_tc_click_part").hide();
		this.xcNum = 0;
		this.tcNum = 0;
		//向客户端请求景点基本数据，如果有景点相关的信息，则显示景点模块，否则隐藏景点模块
		window.cmccmap.ClientCmccMap('{"type":"get_spots","callback":"scenic.get_scenic_info_async"}');
//		var info = {"id":"201504241733","starttime":"营业时间：9:00-15:40。换票时间：9:30-15:00。 10月11日-次年4月9日：9:00-16:30（15:45停止售票） 每周一上午闭馆，13:00开馆","level":"4","feeinfo":"60","intro":"&lt;p&gt;&lt;spanstyle=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;沈阳故宫位于沈阳市沈河区，是中国现存完整的两座宫殿建筑群之一。后金入关前的皇宫，也是清朝迁都北京后的盛京行宫（也 称奉天行宫）。沈阳故宫博物院不仅有精美的古代宫殿建筑，还以丰富的珍贵收藏而著称海内外，宫内收藏有大量旧皇宫遗留下来的宫廷文物，在宫中的各 陈列馆可以观赏到这些珍贵的宝物。沈阳故宫虽为故宫，但规模建制包括宫内藏品都与北京故宫差距很大，如果事先游览过北京故宫，到这里可能会小小失 望一下。&lt;\/span&gt;&lt;br style=%22color: rgb(102, 102, 102);line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22\/&gt;&lt;spanstyle=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;沈阳故宫按照建筑布局和建造先后，分为三部分：东路为努尔哈赤时期建造的大政殿与十王亭；中路为清太宗时期续建的大中 阙，包括大清门、崇政殿、凤凰楼以及清宁宫、关雎宫、衍庆宫、永福宫等；西路则是乾隆时期增建的文溯阁等。整座皇宫楼阁林立，殿宇巍峨，雕梁画 栋，富丽堂皇。&lt;\/span&gt;&lt; \/p&gt;&lt;p&gt;&lt;span style=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px;white-space: normal; background-color: rgb(255, 255, 255);%22&gt;&lt;\/span&gt;&lt;imgsrc=%22http:\/\/dimg02.c-ctrip.com\/images\/tg\/236\/338\/764\/d70524101c9948ada6e1054046239265_C_422_236.jpg%22alt=%22沈阳故宫联票17.jpg%22 style=%22white-space: normal;%22\/&gt;&amp;nbsp;&lt;imgsrc=%22http:\/\/dimg02.c-ctrip.com\/images\/tg\/023\/897\/780\/0efabb4168a645b7a6878e33a70e779a_C_422_236.jpg%22alt=%22沈阳故宫联票6.jpg%22 style=%22white-space: normal;%22\/&gt;&lt;\/p&gt;&lt;p&gt;&lt;strong style=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px;white-space: normal; background-color: rgb(255, 255, 255);%22&gt;大清门&lt;\/strong&gt;&lt;span style=%22color: rgb(102, 102, 102);line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;是盛京皇宫的正门，俗称午门，是一座面阔五间的硬山式建筑，房顶满铺琉璃瓦，饰以绿剪边，纹饰为凸出的海水云龙及象征吉 祥的各种动物，做工精巧，栩栩如生。大清门庄严富丽，与整个宫殿建筑俨然一体，显得十分协 调。&lt;\/span&gt;&lt;brstyle=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22\/&gt;&lt;strong style=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px;white-space: normal; background-color: rgb(255, 255, 255);%22&gt;崇政殿&lt;\/strong&gt;&lt;span style=%22color: rgb(102, 102, 102);line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;俗称“金銮殿”，是清太宗皇太极日常处理政务接见外国使臣的重要场所。殿内陈列有金漆云龙屏风、透雕金龙宝座、鎏金铜甪 端炉等珍贵文物，崇政殿宝座上方高悬的“正大光明”牌匾是乾隆皇帝御笔亲书。&lt;\/span&gt;&lt;br style=%22color: rgb(102, 102, 102); line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px;white-space: normal; background-color: rgb(255, 255, 255);%22\/&gt;&lt;strong style=%22color: rgb(102, 102, 102);line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;大政殿&lt;\/strong&gt;&lt;span style=%22color: rgb(102, 102, 102);line-height: 26px; font-family: &amp;quot;Microsoft YaHei&amp;quot;, &amp;quot;Hiragino Sans GB&amp;quot;; font-size: 14px; white-space: normal; background-color: rgb(255, 255, 255);%22&gt;俗称“八角殿”，清入关前也称“大殿”或“笃恭殿”，是清太祖努尔哈赤营建的重要宫殿，也是东路的主要建筑。清入关前， 这里是举行皇帝登基、元旦、万寿节朝贺、筵宴典礼等重要庆典的地方，平时则用以举行议政王大臣会议或颁布重要诏令等。殿内陈设有金龙宝座、金漆屏 风、嵌珐琅象驮瓶等珍贵文物，和康、乾、嘉、道东巡盛京时留下的墨迹，再现了当年大政殿的原 貌。&lt;\/span&gt;&lt;br\/&gt;&lt;\/p&gt;&lt;p&gt;&lt;\/p&gt;&lt;p&gt;&lt;imgsrc=%22http:\/\/dimg02.c-ctrip.com\/images\/tg\/291\/289\/829\/2c0c2efb2100496ebab3c9ff8d3f270a_C_422_236.jpg%22alt=%22沈阳故宫联票7.jpg%22\/&gt;&amp;nbsp;&lt;imgsrc=%22http:\/\/dimg02.c-ctrip.com\/images\/tg\/215\/047\/974\/8e0b97e9797e485f92712e8045474b55_C_422_236.jpg%22alt=%22沈阳故宫联票16.jpg%22\/&gt;&lt;\/p&gt;","imgurl":"","ctripsupport":"1","lysupport":"1","hasview":"1","ctripid":"9216","lyid":""};
//		scenic.get_scenic_info_async(info);
	};
	/**
	 *景点信息数据回调函数
	 **/
	scenicPro.prototype.get_scenic_info_async = function (data) {
		var result = JSON.parse(data);
		//设置语言导游
		if(result.is51guide == 1){
			//显示语音导游模块
			$("#scenic_guide").show();
			$("#dao").show();
			// 绑定分享按钮
			
			//支持51语言导游
			if(result.is51guide == 1){
				scenic.event_scenic(result.guide51id,"guide51","guideAudition");
				scenic.event_scenic(result.guide51id,"guide51","guidePlay");
			} 
			// 判断是否订购
			var urlMap = '{"type":"is_guide_order","showload":"none","data":"' + scenic.id + '","callback":"scenic.get_has_orderguide_async"}';
			window.cmccmap.ClientCmccMap(urlMap);
		}
		//否支持同城门票预订字段
		((result.lysupport != null && result.lysupport == "1")?document.getElementById("scenic_tc").style.display="block":"")=="block"?this.has_ticket ++:"";
		//否支持携程门票预订字段
		((result.ctripsupport != null && result.ctripsupport == "1")?document.getElementById("scenic_xc").style.display="block":"")=="block"?this.has_ticket ++:"";
		if(this.has_ticket){
			//向AP请求门票数据
			this.sn = scenic.date_format(new Date(), "yyyyMMddhhmmssS");
			var url = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}'));
			var ticket_get_url = url.ap_base_url+"?function=ticketbuydetail&type=scenic_area&poiid="+result.id+"&sn="+this.sn+"&key="+this.key;
			var ticket_get_json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","callback":"scenic.get_scenic_ticket_async","attach":"","url":"' + ticket_get_url + '","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
			window.cmccmap.ClientCmccMap(ticket_get_json);
		}
	};
	scenicPro.prototype.get_has_orderguide_async = function(data){
		if(data == 0){
			$("#guideAudition").show();
			$("#guideOder").show();
			$("#guidePlay").hide();
		}else{
			$("#guideAudition").hide();
			$("#guideOder").hide();
			$("#guidePlay").show();
		}
		//显示景点模块
		document.getElementById("scenic").style.display = "block";
	}
	
	scenicPro.prototype.get_has_orderguideis_async = function(data,id){
		if(data == 0){
			$("#guideAudition").show();
			$("#guideOder").show();
			$("#guidePlay").hide();
		}else{
			$("#guideAudition").hide();
			$("#guideOder").hide();
			$("#guidePlay").show();
		}
	}
	
	/**
	 *景点门票数据回调函数
	 **/
	scenicPro.prototype.get_scenic_ticket_async = function (data) {
		if("0000" == data.status){
			var result = data.result;
			if ("success" == result.status) {
				//初始化门票结果集
				this.ticket_result = result.result;
				var length = this.ticket_result.length;
				var strXCPart = "";
				var strXCAll = "";
				var strTCPart = "";
				var strTCAll = "";
				for (var i = 0; i < length; i++) {
					//提取结果集中相关信息
					var ticket_id = this.ticket_result[i].id;
					var ticket_name = scenic.text_format(this.ticket_result[i].name, 10, 2);
					var original_price = this.ticket_result[i].price?this.ticket_result[i].price:0;
					var current_price = this.ticket_result[i].tcprice?this.ticket_result[i].tcprice:0;
					var ticket_img;
					var laiyuanName = this.ticket_result[i].title;
					var contentPart;
					var contentAll;
					var html = '<li>' +
						'<p class="ticket_2a"><span>' + ticket_name + '</span><br>' +
						'<span class="ticket_2ax">'+laiyuanName + 
						' 提供/ <b><a href="javascript:scenic.buy_attention(0,\'' + ticket_id + '\')">预订须知</a></b></span></p>'+
						'<p class="ticket_2b"><b>￥' + original_price + '</b>￥' + current_price +
						'<button type="button" onclick="scenic.buy_attention(1,\'' + ticket_id + '\')" class="but_yd">预定</button></p>' +
						'</li>';
					if ("携程网" == this.ticket_result[i].title) {
						this.xcNum++;
						strXCAll = strXCAll + html;
						if(this.xcNum < 3){
							strXCPart = strXCPart + html;
						}
					} else {
						this.tcNum++;
						strTCAll = strTCAll + html;
						if(this.tcNum < 3){
							strTCPart = strTCPart + html;
						}
					}
				}

				$("#scenic_xc_ticket_part").html(strXCPart);
				$("#scenic_xc_ticket_all").html(strXCAll);
				$("#scenic_tc_ticket_part").html(strTCPart);
				$("#scenic_tc_ticket_all").html(strTCAll);
				if(this.xcNum>=3){
					$("#scenic_xc_ticket_part").show();
					$("#scenic_xc_click_all").show();
				} else {
					$("#scenic_xc_ticket_all").show();
				}
				if(this.tcNum>=3){
					$("#scenic_tc_ticket_part").show();
					$("#scenic_tc_click_all").show();
				} else {
					$("#scenic_tc_ticket_all").show();
				}
				document.getElementById("scenic_ticket").style.display = "block";
				document.getElementById("scenic").style.display = "block";
				$("#piao").show();
			}
		}else{
			scenic._toast("景点门票信息请求失败，请稍后重试");
		}
	};
	
	//点击收起
	scenicPro.prototype.showPart = function(webName) {
		$("#scenic_" + webName + "_ticket_all").hide();
		$("#scenic_" + webName + "_click_all").show();
		$("#scenic_" + webName + "_ticket_part").show();
		$("#scenic_" + webName + "_click_part").hide();
	};

	//点击查看全部
	scenicPro.prototype.showAll = function(webName) {
		$("#scenic_" + webName + "_ticket_all").show();
		$("#scenic_" + webName + "_click_all").hide();
		$("#scenic_" + webName + "_ticket_part").hide();
		$("#scenic_" + webName + "_click_part").show();
	};
	
	/**
	 *景点门票购买地址和预订须知处理函数
	 **/
	scenicPro.prototype.buy_attention = function (flag, ticket_id) {
		//flag标示用户点击预订须知(0)，还是点击预订(1)
		var length = this.ticket_result.length;
		for (var i = 0; i < length; i++) {
			if (this.ticket_result[i].id == ticket_id) {
				if (0 == flag) {
					//将对应门票的数据节点放到JSNative的data中，跳转到预订须知页面显示
					window.cmccmap.ClientCmccMap('{"type":"redirect","titlebar":"none","data":' + JSON.stringify(this.ticket_result[i]) + ',"url":"../scenic/yudingxuzhi.html"}');
				} else {
					//组装预订url，跳转到第三方预订页面
					if (this.ticket_result[i].title == "携程网") {
						var url = this.xc_url + "&productid=" + this.ticket_result[i].productionId + "&tid=" + this.ticket_result[i].policyid + "&spotid=" + this.ticket_result[i].sceneryid;
						window.cmccmap.ClientCmccMap('{"type":"redirect","titlebar":"yes","title":"订单填写","url":"' + url + '"}');
					} else {
						var url = this.tc_url + "&sceneryId=" + this.ticket_result[i].sceneryId + "&priceid=" + this.ticket_result[i].policyId;
						window.cmccmap.ClientCmccMap('{"type":"redirect","titlebar":"yes","title":"订单填写","url":"' + url + '"}');
					}
				}
			}
		}
	};

	/**
	 * 文本字数显示控制
	 * text：需要格式化的文本
	 * length：每行显示文本长度
	 * row：显示行数
	 */
	scenicPro.prototype.text_format = function (text, length, row) {
		var txt = "";
		for(var i = 1; i<=row; i++){
			if (text.length <= length*i){
				txt += text.substr((i-1)*length, (text.length-(i-1)*length));
				break;
			}
			if(i<row){
				txt += text.substr((i-1)*length, length) + "</br>";
			}else{
				txt += text.substr((i-1)*length, length-1) + "...";
			}
		}
		return txt;
	};
	scenicPro.prototype._toast = function (message) {
		window.cmccmap.ClientCmccMap('{"type":"toast","data":{"content":"'+message+'"}}');
	};
	/**
	 * 日期格式化
	 */
	scenicPro.prototype.date_format = function (date, format) {
		var o = {
			"M+" : date.getMonth() + 1,
			"d+" : date.getDate(),
			"h+" : date.getHours(),
			"m+" : date.getMinutes(),
			"s+" : date.getSeconds(),
			"q+" : Math.floor((date.getMonth() + 3) / 3),
			"S" : date.getMilliseconds()
		}
		if (/(y+)/.test(format))
			format = format.replace(RegExp.$1,
					(date.getFullYear() + "").substr(4 - RegExp.$1.length));
		for (var k in o)
			if (new RegExp("(" + k + ")").test(format))
				format = format.replace(RegExp.$1,
						RegExp.$1.length == 1 ? o[k] :
						("00" + o[k]).substr(("" + o[k]).length));
		return format;
	};
	scenic = new scenicPro();
	scenic.init();

	/**
	 * 景点语音导游绑定显示和绑定单击事件
	 */
	scenicPro.prototype.event_scenic = function (id,name,btnname) {
		var guide = document.getElementById(btnname);
		guide.onclick = function() {
			var guide_get_json = '{"type":"go_guide","showload":"none","from":"' + name + '","id":"' + id + '"}';
			window.cmccmap.ClientCmccMap(guide_get_json);
		}
	}
});
