$(function(){
	var proto = function  (argument) {
		this._title = "";
		this._poiAddr = "";
		this._poiId="";
		this._poiX = "";
		this._poiY = "";
		this._poiPhone = "";
		this._apUrl = "";
		this._userKey = "";
		this.imgpaths = "";
		this.curPicIndex = 0;
		this.picCount = 0;
		this.imgArr = new Array();
		this.scmeishiIs = 0;
		this.scmeiUrl = "";
	};

	// window.cmccmap = {};
	// window.cmccmap.ClientCmccMap=function(s){console.log(s);}

	proto.prototype.getDate = function(date) {
		var str="";
	    str+=date.getFullYear();//年
	    str+=date.getMonth()<9?"0"+(date.getMonth()+1):date.getMonth()+1;//月 月比实际月份要少1
	    str+=date.getDate()<10?"0"+date.getDate():date.getDate();//日
	    str+=date.getHours()<10?"0"+date.getHours():date.getHours();//HH
	    str+=date.getMinutes()<10?"0"+date.getMinutes():date.getMinutes();//MM
	    str+=date.getSeconds()<10?"0"+date.getSeconds():date.getSeconds(); //SS
	    return str;
	};

	proto.prototype.init = function(first_argument) {
		
		//获取poi名称
		var baseInfo = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"get_poi_baseinfo"}'));
//		var picRatio = 3.5;
		this._userKey = window.cmccmap.ClientCmccMap('{"type":"userkey"}');
		this._title = baseInfo.name;
		this._poiId = baseInfo.id;
		this._poiX = baseInfo.x;
		this._poiY = baseInfo.y;
		this._poiAddr = baseInfo.cityname + baseInfo.adminname + baseInfo.addr;
		this.imgpaths = baseInfo.imgpath;
		this.disnum = baseInfo.disnum;
		this.disunit = baseInfo.disunit;
		this.degree = baseInfo.degree;
		this.scenicheat = baseInfo.supporthotscenic;//scenicheat为景点热力标签，为1时为有景点
		this.ismyplace = baseInfo.ismyplace;//判断是否显示线路以及导航 ，等于1不显示，0显示
		this.scmeishiIs = baseInfo.layertype;//判断是否有四川美食
		this.scmeiUrl = decodeURIComponent(baseInfo.foodurl);//四川美食视频的URL
		this.recommondation = baseInfo.recommondation;//车友助理评价星级
		
		var sn = main.getDate(new Date);
		var apServerURL = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}')).ap_base_url;
		
		
//		if(this.scmeishiIs == 1){
//			//支持四川美食
//			$("#scmeishiButton").show();
//		}else{
//			$("#scmeishiButton").hide();
//		}
		if("0" == this.ismyplace){
			$("#planning").show();
			$("#search").removeClass().addClass("shop_5");
			$("#navi").show();
			$("#nsa").removeClass().addClass("shopfoot");
			$(".shop_5").attr("style","border-left: block;");
		}else{
			$(".shop_5").attr("style","border-left: none;");
		}

		if("1" == this.scenicheat){
			$("#basicinfo_heat").show();
			$("#style").removeClass().addClass("address_2 address2_two");
			if(undefined == localStorage.new_heat || "" == localStorage.new_heat){
				$("#new_heat").show();
			}
			$("#show_heaticon").show();
			$("#zb_div").show();
			
			var url = apServerURL + "?sn=" + sn + "&key=" + this._userKey + "&type=scenic_area&function=touristnumber&isscenicpointshow=false&isscenicareashow=false&poiid=" + this._poiId;
			//url = "http://61.189.20.114:9001/AbilityPlatform?sn=20160122165900&key=10bda4923af4a169b11e5a98a0f1b32a-002&type=scenic_area&function=touristnumber&isscenicpointshow=false&isscenicareashow=false&poiid=10408992467";
			var json = '{"type":"ajax","data":{"showload":"none","loadingmsg":"","version":"1.0.0","attach":"","callback":"main.scenic_circle","url":"'+url+'","method":"get","header":"[]","request":{"body":"","encoding":""}}}';
			window.cmccmap.ClientCmccMap(json);
		} else {
			$("#basicinfo").show();
		}
		
		$("#address").show();
		
		if("公里" == this.disunit){
			this.disunit = "km";
		}
		if("米" == this.disunit){
			this.disunit = "m";
		}
		if(this.disnum && "-100" != this.disnum && this.degree && 720 != this.degree){
			this.disnum = this.disnum + "";
			if(this.disnum.indexOf(".") && this.disnum.substring(0,this.disnum.indexOf(".")).length>2){
				this.disnum = this.disnum.substring(0,this.disnum.indexOf("."));
			}
			$("#poiDistance").attr('style', 'display:block');
			$("#distance_num").text(this.disnum + this.disunit);
			var element = document.getElementById("direction");
			this.degree = 90 - this.degree;
			element.style.MozTransform = "rotate(" + this.degree + "deg)";
			element.style.webkitTransform ="rotate(" + this.degree + "deg)";
			element.style.msTransform = "rotate(" + this.degree + "deg)";
			element.style.OTransform = "rotate(" + this.degree + "deg)";
			element.style.transform = "rotate(" + this.degree + "deg)";
		}
		$("#poiName").text(this._title);
		$("#poiName_heat").text(this._title);
		
		var urlObj = JSON.parse(window.cmccmap.ClientCmccMap('{"type":"geturl","urltype":"ap_base_url"}'));
		// 设置地址:
		this._apUrl = urlObj['ap_base_url'];
		if(this._poiAddr!=null&&this._poiAddr.replace(/\s+/g,"")!=""){
			var poiAddrDom = $("#poiAddr");
			poiAddrDom.attr('style', 'display:block');
			$("#poiAddress").text(this._poiAddr);
		}
		if(null == this._poiId || "" == this._poiId){
			$("#correction").hide();
			$("#feedback").hide();
			$("#poiAddr").attr("style","border:none");
		} else {
		    //屏蔽补充纠错
			//$("#correction").show();
			$("#feedback").show();
			$("#poiAddr").attr("style","border-bottom:1px solid #cccccc");
		}
		$("#style").show();
//		this.imgpaths="http://w1.hoopchina.com.cn/static/www/2015-06-17/1434513624786_1523065.jpg,http://w1.hoopchina.com.cn/static/www/2015-06-17/1434513624786_1523065.jpg,http://w1.hoopchina.com.cn/static/www/2015-06-17/1434513624786_1523065.jpg";
		if(this.imgpaths!=null&&this.imgpaths.replace(/\s+/g,"")!=""){
			var imgs = this.imgpaths.split(",");

			for(var idx in imgs){
				if(imgs[idx]!=""&&imgs[idx].indexOf("http://")==0){
					this.imgArr.push(imgs[idx]);
				}
			}

			if(this.imgArr.length>0){
//				picRatio = 3.0;
				this.initScroller(this.imgArr);
			}else{
				//获取poi缩略图
//				window.cmccmap.ClientCmccMap('{"type":"get_poi_thumb","callback":"main.get_poi_thumb_async"}');
			}
		}else{
			//获取poi缩略图
//			window.cmccmap.ClientCmccMap('{"type":"get_poi_thumb","callback":"main.get_poi_thumb_async"}');
		}

//		var thumbDom = $("#thumb");

		//using jquery first
//		var thubHeight = ($(window).width())/picRatio;
//		thumbDom.height(thubHeight);
//		$("#picscroller").height(thubHeight);
		
		window.cmccmap.ClientCmccMap('{"type":"regiresume","callback":"main.resumeCallback"}');

		//获取poi电话
		window.cmccmap.ClientCmccMap('{"type":"get_has_telnum","callback":"main.get_has_telnum_async"}');

//		//获取是否有室内图
//		window.cmccmap.ClientCmccMap('{"type":"get_has_indoor_map","callback":"main.get_has_indoor_map_async"}');
		
//		//获取是否有街景
//		window.cmccmap.ClientCmccMap('{"type":"get_has_vista","callback":"main.get_has_vista_async"}');

		//获取是否收藏
		window.cmccmap.ClientCmccMap('{"type":"get_has_favor","callback":"main.get_has_favor_async"}');

		// 获取评论
//		window.cmccmap.ClientCmccMap('{"type":"get_has_comment","callback":"main.get_has_comment_async"}');

		//获取团购信息
		window.cmccmap.ClientCmccMap('{"type":"get_poi_tuangou","callback":"main.get_poi_tuangou_async"}');
		// 获取评价信息
		window.cmccmap.ClientCmccMap('{"type":"get_has_rate","callback":"main.get_has_rate_async"}');
		// 获得商户介绍信息
		window.cmccmap.ClientCmccMap('{"type":"get_introduce","callback":"main.get_introduce_async"}');
		// 获取视频信息
		window.cmccmap.ClientCmccMap('{"type":"get_has_vedio","callback":"main.get_has_vedio_async"}');

		window.cmccmap.ClientCmccMap('{"type":"get_nearbusroute","callback":"main.get_nearbusroute_async"}');		
		
//		window.cmccmap.ClientCmccMap('{"type":"get_busline","callback":"main.get_busline_async"}');

		window.cmccmap.ClientCmccMap('{"type":"get_hotelinfo","callback":"main.get_hotelinfo_async"}');
		
		//删除地点标注
//		if(window.cmccmap.ClientCmccMap('{"type":"get_userpunc"}') == "longpress"){
//			var correctDom = $("#correction");
//			correctDom.html('<button type="button"><img src="images/address_3.png">地点标注</button>');
//		}

		
		// 展示车友助理的星级评价
		if (this.recommondation!= undefined && this.recommondation!= null && this.recommondation!= -1) {
			this.recommondation = this.recommondation + "";
			var staricona = '<img src="images/staricona.png">';
			var stariconb = '<img src="images/stariconb.png">';
			var stariconc = '<img src="images/stariconc.png">';
			var staricond = '<img src="images/staricond.png">';
			var staricone = '<img src="images/staricone.png">';
			var xinStr = "";
			for (var i=1; i<6; i++){
				if (this.recommondation.indexOf(".") != -1) {
					var integer = this.recommondation.substring(0, this.recommondation.indexOf("."));
					if (integer >= i) {
						xinStr = xinStr + staricona;
					} else if (integer == i-1) {
						var part = this.recommondation.substring(this.recommondation.indexOf(".")+1, this.recommondation.indexOf(".")+2);
						if (part > 0 && part <= 3) {
							xinStr = xinStr + stariconb;
						} else if (part > 3 && part <= 6) {
							xinStr = xinStr + stariconc;
						} else {
							xinStr = xinStr + staricond;
						}
					} else {
						xinStr = xinStr + staricone;
					}
				} else {
					if (this.recommondation >= i) {
						xinStr = xinStr + staricona;
					}  else {
						xinStr = xinStr + staricone;
					}
				}
			}
			$("#carwashcomval").html(xinStr);
		}
		
		this.initTitleScroll();
	};

	proto.prototype.initTitleScroll = function  () {

//		var speed=50; 
//		var scroll_begin = document.getElementById("scroll_begin"); 
//		var scroll_end = document.getElementById("scroll_end"); 
//		var scroll_div = document.getElementById("scroll_div");
//		var backBtn = document.getElementById("back");
//		var mapBtn = document.getElementById("map");
//		var width_Set =  mapBtn.offsetLeft - (backBtn.offsetLeft+backBtn.offsetWidth);
//
//		if(scroll_begin.offsetWidth > width_Set){
//			scroll_end.innerHTML=scroll_begin.innerHTML; 
//			var dis = scroll_div.scrollWidth-scroll_end.offsetWidth-scroll_end.offsetWidth;
//			function Marquee(){
//				if(scroll_div.scrollLeft>=(dis+scroll_begin.offsetWidth)){
//					scroll_div.scrollLeft=0;
//				}else{
//					scroll_div.scrollLeft++;
//				}
//
//			}
//			var MyMar=setInterval(Marquee,speed); 
//			scroll_div.addEventListener("touchstart",function  () {clearInterval(MyMar);},false);
//			scroll_div.addEventListener("touchend",function () {MyMar=setInterval(Marquee,speed);},false);
//			scroll_div.onmouseenter=function() {clearInterval(MyMar);} 
//			scroll_div.onmouseleave=function() {MyMar=setInterval(Marquee,speed);} 
//		}
	}

	proto.prototype.notEmpty = function  (str) {
		if(str==null||str == ""||("" == str.replace(/\s+/ig,""))){
			return false;
		}

		return true;
	}

	proto.prototype.aroundSearch = function(keyword){
		window.cmccmap.ClientCmccMap('{"type":"on_search_poi_around","kwd":"'+keyword+'"}');
	}

//	proto.prototype.get_nearbusroute_async = function(data) {
//		var result = JSON.parse(data);
//		if(this.notEmpty(result.route)){
//			var domNearBus = $("#nearbusbox");
//			domNearBus.children('.bus').text("附近公交："+result.route);
//			domNearBus.attr('style', 'display:block;');
//		}
//	};
	
	
 	proto.prototype.setProgress = function (progress){
        var rotateDeg = (360*progress/100);
        rotateDeg = (rotateDeg%4.0==0 ? rotateDeg:(rotateDeg + 4.0 - rotateDeg%4.0));
        var rightHf = $("#right_hfcl");
        var leftHf = $("#left_hfcl");
        if(progress < 50){
          leftHf.show();
          leftHf.css({
            "transform":"rotate("+rotateDeg+"deg)",
            "transform-origin":"100% 50%",
          });
          rightHf.css({
            "transform":"rotate(0deg)",
          });
        } else {
          leftHf.hide();
          rotateDeg -= 180;
          rightHf.css({
            "transform":"rotate("+rotateDeg+"deg)",
            "transform-origin":"0 50%",
          });
        }
  }

	//画景点热力中的圆
	proto.prototype.scenic_circle = function(data) {
//		data = {"status":"failure","status_msg":"请求服务失败","sn":"20160612151043044"};
		var percent = 0;
		//扇形开始
		if (null == data || "0000" != data.status || "empty" == data.result.status || "failure" == data.result.status) {
		}else{
//			percent = Math.round(data.result.result.numbFactor * 100); //百分比
			percent = data.result.result.numbFactor;
			if(0 == percent){
				percent = 0;
			} else {
				percent = (percent*100).toFixed(2);
				if(0 == percent){
					percent = 0.01;
				} else if(0 == (percent.split(".")[1]).substring(1)){
					percent = percent.substring(0,percent.length-1);
				}
			}
		}
		if(percent < 30){
		} else if(percent < 60){
			$("#percent").removeClass().addClass("yuanpan_lv yuanpan_h");
		} else {
			$("#percent").removeClass().addClass("yuanpan_lv yuanpan_red");
		}
		
		$("#percent").text(percent + "%");

		this.setProgress(Math.round(percent));
		//扇形结束
		$("#yuanpan").show();
	};

	//途径公交线路
	proto.prototype.get_nearbusroute_async = function(data) {
		var result = JSON.parse(data);
		if(this.notEmpty(result.route)){
			var domNearBus = $("#nearbusbox");
			domNearBus.children('.bus').text(result.route);
			domNearBus.attr('style', 'display:block;');
		}
	};

	proto.prototype.addBusTip = function(dom,evnt) {
		var imgDom = $(dom);
		var id = imgDom.data("id");
		var cityCode = imgDom.data("citycode");
		var station =  main._title;
		var isOntip = imgDom.data("ontip");
		var busName = imgDom.data("busname");
		var methodType = "addbustip";
		if(isOntip==0){
			methodType="addbustip";
		}else{
			methodType="delbustip";
		}
		var data = {
			type:methodType,
			data:{
				id:id,
				citycode:cityCode,
				station:station,
				callback:"main.addAlertTipCallBack",
				busname:busName,
			},
		}
		window.cmccmap.ClientCmccMap(JSON.stringify(data));
		evnt.stopPropagation();
	};

	proto.prototype.addAlertTipCallBack = function  (result) {
		var data = JSON.parse(result);
		if(data['status'] ==0){
			main.makeBusTip(data['id']);
		}
	}

	proto.prototype.get_busline_async = function (data) {
		var  resData = JSON.parse(data);
		console.log(data);
		var runTimeBus = {};
		if(resData.linesize>0){
			var result = resData.result;
			var linetmp = _.template($("#buslinetmp").html());
			var lineHtml = "";

			for(var i in result){

				var lineData = result[i];
				var wholeName = lineData.name;

				var leftBracketStart = -1;
				var rightBracketStart = wholeName.length-1;
				var rightBrac = 0;
				var start = wholeName.indexOf("--");

				for(;start>0;--start){
					var checkChar = wholeName.charAt(start);
					if(checkChar=="（"||checkChar=="("){
						if(rightBrac==0){
							leftBracketStart = start;
							break;
						}else{
							rightBrac--;
						}
					}else if(checkChar=="）"||checkChar==")"){
						rightBrac++;
					}
				}

				if(leftBracketStart<0){
					lineData.name = wholeName;
					lineData.desc = "";
					lineData.startname = "";
					lineData.endname = "";
				}else{
					rightBracketStart = rightBracketStart>leftBracketStart?rightBracketStart:wholeName.length;
					var busDesc  = wholeName.substring(leftBracketStart+1,rightBracketStart);
					var busName = wholeName.substring(0,leftBracketStart);

					var  start = busDesc.indexOf("--");
					var busStartName = busDesc.substring(0,start);
					var busEndName = busDesc.substring(start+2,rightBracketStart+1);

					lineData.startname = busStartName;
					lineData.endname = busEndName;
					lineData.name = busName;
											
					runTimeBus[lineData.id]={"name":wholeName,"cityCode":lineData.cityCode,"station":busEndName};
				}

				if(1==lineData.istip){
					lineData.tipimg="img/timebus_x.png";
					lineData.tipbus="tbus_a";
					lineData.alerttip="";
					lineData.hover="hover";
				}else{
					lineData.tipimg="img/timebus_1.png";
					lineData.tipbus="";
					lineData.alerttip="none";
					lineData.hover="";
				}
				lineData.busname=wholeName;
				lineHtml += linetmp(lineData);
			}

			var busDom = $("#buslineBox");
			// busDom.html('<span class="border_b2 guide_tit">途经公交</span>'+lineHtml);
			busDom.children(".bus_s1").html(lineHtml);
			busDom.attr("style","display:block;");
			busDom.children(".bus_s1").children('.tbus:last').removeClass('border_b1');

			var keyName = "";
			var cityCode="";
			var station = "";
			for(var i in runTimeBus){
				if(cityCode==""){
					cityCode = runTimeBus[i]["cityCode"];
				}
				keyName=keyName+";"+runTimeBus[i]["name"];
				station = station+";"+runTimeBus[i]["station"];
			}

			keyName = keyName.substr(1);
			station = station.substr(1);
			var sn = main.getDate(new Date);
			var searchUrl  = main._apUrl+"?key="+main._userKey+"&sn="+sn+"&type=real_time_bus&function=get_realinfo_by_line_station&city="+cityCode+"&keyName="+keyName+"&stationName="+station+"&tranNumber=1&serviceType=0";
			searchUrl = encodeURI(searchUrl);
			var json = {"type":"ajax",
			"data":{
				"showload":"none",
				"loadingmsg":"",
				"version":"1.0.0",
				"attach":"",
				"callback":"main.runtimeBusCallback",
				"url":searchUrl,
				"method":"get",
				"header":"[]",
				"request":{"body":"","encoding":""}
				}
			};
			var param = JSON.stringify(json);
			console.log(param);
			window.cmccmap.ClientCmccMap(param);
		}
	}

	proto.prototype.resumeCallback = function () {
		var busDom = $("#buslineBox .tbus");
		if(busDom.length>0){
			var tipBusList = window.cmccmap.ClientCmccMap('{"type":"get_buslinestaiontips"}');
			tipBusList = JSON.parse(tipBusList);
			
			busDom.each(function(index, el) {
				main.makeBusTip($(el).data("id"),0);
			});
			
			busDom.each(function(index, el) {
				for(var s in tipBusList){
					var bus = tipBusList[s];
					if($(el).data("busname")==bus.name && bus.station == main._title){
						main.makeBusTip($(el).data("id"),1);
					}
				}
			});
			
		}
	}
	proto.prototype.makeBusTip = function  (id,isTip) {

		var imgDom = $(".bus_id_"+id+" .tipimg");
		var busDom = $(".bus_id_"+id);
		if(isTip==null){
			if(imgDom.data("ontip")==0){
				imgDom.attr("src","img/timebus_x.png");
				imgDom.data("ontip","1");
				busDom.children('.tbus_1').addClass('tbus_a');
				busDom.children('.tbus_1').children('.tbus_ld').attr('style', '');
				busDom.children('.tbus_1').children('.img_arrow').attr('src', 'img/timebus_3hover.png');
			}else if(imgDom.data("ontip")==1){
				imgDom.attr("src","img/timebus_1.png");
				imgDom.data("ontip","0");
				busDom.children('.tbus_1').removeClass('tbus_a');
				busDom.children('.tbus_1').children('.tbus_ld').attr('style', 'display:none');
				busDom.children('.tbus_1').children('.img_arrow').attr('src', 'img/timebus_3.png');
			}
		}else if(isTip==0){
			// if(imgDom.data("ontip")==0)return;
			imgDom.attr("src","img/timebus_1.png");
			imgDom.data("ontip","0");
			busDom.children('.tbus_1').removeClass('tbus_a');
			busDom.children('.tbus_1').children('.tbus_ld').attr('style', 'display:none');
			busDom.children('.tbus_1').children('.img_arrow').attr('src', 'img/timebus_3.png');
		}else if(isTip==1){
			// if(imgDom.data("ontip")==1)return;
			imgDom.attr("src","img/timebus_x.png");
			imgDom.data("ontip","1");
			busDom.children('.tbus_1').addClass('tbus_a');
			busDom.children('.tbus_1').children('.tbus_ld').attr('style', '');
			busDom.children('.tbus_1').children('.img_arrow').attr('src', 'img/timebus_3hover.png');
		}
	}

	proto.prototype.runtimeBusCallback = function(data) {
		// 
		if(data.status==0){
			var result = data.result.result;
			var busIndex = 0;
			for(var res in result){
				if(result[res]['RspCode']==0){
					var bDom = $("#bus_"+busIndex);
					if(bDom.data("start")!=main._title&&bDom.data('end')!=main._title){
						$("#bus_"+busIndex+" .tipimg").attr("style","display:block;");
					}
					bDom.data("rsp","0");
				}
				++busIndex;
			}
		}
	};

	//商户简介回调
	proto.prototype.get_introduce_async = function(data) {
		var result = JSON.parse(data);
		if(result!=null&&result!=""){
			if(this.notEmpty(result.intro)){
				$("#shangjiaPOI").show();
				var domIntroBox = $("#introducebox");
				var introHtml = "";
				introHtml+='<p><b>简介</b><span>'+result.intro+'<span></p>';

				if(this.notEmpty(result.operation)){
					introHtml+='<p><b>营业时间</b><span>'+result.operation+'<span></p>';
				}
				if(this.notEmpty(result.cuisine)){
					introHtml+='<p><b>菜系</b><span>'+result.cuisine+'<span></p>';
				}
				if(this.notEmpty(result.fee)){
					introHtml+='<p><b>参考票价</b><span>'+result.fee+'<span></p>';
				}
				if(this.notEmpty(result.region)){
					introHtml+='<p><b>所属商圈</b><span>'+result.region+'<span></p>';
				}
				if(this.notEmpty(result.equipe)){
					introHtml+='<p><b>服务设施</b><span>'+result.equipe+'<span></p>';
				}
				if(this.notEmpty(result.atms)){
					introHtml+='<p><b>气氛</b><span>'+result.atms+'<span></p>';
				}
				if(this.notEmpty(result.special)){
					introHtml+='<p><b>特色</b><span>'+result.special+'<span></p>';
				}
				if(this.notEmpty(result.content)){
					introHtml+='<p><b>经营内容</b><span>'+result.content+'<span></p>';
				}
				if(1 == result.compartment){
					introHtml+='<p><b>有无包间</b><span>有包间<span></p>';
				}
				domIntroBox.html(introHtml);
				domIntroBox.attr("style","display:block");
			}
		}
		// 获取商户标签信息
		window.cmccmap.ClientCmccMap('{"type":"get_has_sign","callback":"main.get_has_sign_async"}');
		
		// 获取商户标签信息
		window.cmccmap.ClientCmccMap('{"type":"get_has_sign","callback":"main.get_has_sign_async"}');
	};
	//商户类型、特色回调
	proto.prototype.get_has_sign_async = function(signinfo) {
		var signJson = JSON.parse(signinfo);
		var sign = signJson['sign'];
		var recom = signJson['recom'];
		if(sign!=null && sign !=""){
			sign = '<p><b>标签</b><span>' + sign + '</span></p>';
			$("#shangjiaPOI").show();
			var signDom = $("#signbox");
			signDom.html(sign);
			signDom.attr("style","display:block");
		}

		if(recom!=null&&recom!=""){
			$("#shangjiaPOI").show();
			recom ='<p><b>推荐菜</b><span>' + recom + '</span></p>';
			var introDom = $("#introbox");
			introDom.html(recom);
			introDom.attr("style","display:block");
		}
		

		if($("#introbox").is(':hidden')){
			if($("#introbox").is(':visible')){
				$("#introbox").attr("style","border-bottom: none;");
			} else if($("#introducebox").is(':visible')){
				$("#introducebox").attr("style","border-bottom: none;");
			}
		}
	};

	//绑定点击事件
	proto.prototype.attachEvent = function(first_argument) {
		//【back】 button
		$('#back').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_go_back"}');
		});
		//【地图】 button
		$('#map').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_view_map"}');
		});	
//		//室内图
//		$('#indoorMap').click(function(){
//			window.cmccmap.ClientCmccMap('{"type":"on_goto_indoor_map"}');
//		});

//		//街景
//		$('#vista').click(function(){
//			window.cmccmap.ClientCmccMap('{"type":"on_goto_vista"}');
//		});	
		//周边搜索
		$('#search').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_nearby_search"}');
		});
		//周边搜索
		$('#search_heat').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_nearby_search"}');
		});
		//周边搜索
		$('#zb_gengduo').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_nearby_search","locpt":"nearby"}');
		});
		//位置分享
		$('#share').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_pos_share"}');
		});
		//位置分享
		$('#share_heat').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_pos_share"}');
		});
		//补充纠错
		$('#correction').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_correction"}');
		});
		//意见反馈
		$('#feedback').off("click").click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_feedback","from":"poi"}');
		});
		//添加收藏
		$('#addFavor').click(function(){
			var hasDjClass = $(this).hasClass('btn_search4_dj');
			if(hasDjClass){
				window.cmccmap.ClientCmccMap('{"type":"on_del_favor","callback":"main.get_has_favor_async"}');
			}else{
				window.cmccmap.ClientCmccMap('{"type":"on_add_favor","callback":"main.get_has_favor_async"}');
			}
		});
		//添加收藏
		$('#addFavor_heat').click(function(){
			var hasDjClass = $(this).hasClass('btn_search4_dj');
			if(hasDjClass){
				window.cmccmap.ClientCmccMap('{"type":"on_del_favor","callback":"main.get_has_favor_async"}');
			}else{
				window.cmccmap.ClientCmccMap('{"type":"on_add_favor","callback":"main.get_has_favor_async"}');
			}
		});
		//景点热力
		$("#show_heaticon").click(function(){
			localStorage.new_heat = "old";
			$("#new_heat").hide();
			//跳转页面
			window.cmccmap.ClientCmccMap('{"type":"go_hot_scenic","data":""}');
		});
		
		//公交地铁站
		$('#bus').click(function(){main.aroundSearch("公交地铁站")});
		//停车场
		$('#park').click(function(){main.aroundSearch("停车场")});
		//加油站
		$('#gastation').click(function(){main.aroundSearch("加油站")});
		//餐饮
		$('#restaurant').click(function(){main.aroundSearch("餐饮")});
		//宾馆酒店
		$('#hotel').click(function(){main.aroundSearch("宾馆酒店")});
		//更多
		$('#more').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_search_more"}');
		});
		//添加评论
		$('#comment').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_add_comment"}');
		});
		//导航至此
		$('#navi').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_navi_to_here"}');
		});
		//导航至此
		$('#navi_heat').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_navi_to_here"}');
		});
		//路线规划
		$('#planning').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_path_planning"}');
		});
		//路线规划
		$('#planning_heat').click(function(){
			window.cmccmap.ClientCmccMap('{"type":"on_path_planning"}');
		});
	};

	//设置缩略图
//	proto.prototype.get_poi_thumb_async = function(url) {
//
//		var thubDom = $("#thumb");
//		var imgDom = thubDom.children('img');
//		// var height = imgDom.height();
//		// thubDom.attr('style', '');
//		imgDom.addClass('backimg');
//		if(imgDom.hasClass('nullback')){
//			imgDom.removeClass('nullback');
//		}
//		setTimeout(function(){
//			imgDom.attr("src",url);
//		},500)
//	}

//	var style = 0;
//	//显示室内图
//	proto.prototype.get_has_indoor_map_async = function(hasIndoor) {
//		hasIndoor = 0;	//隐藏室内图
//		if(hasIndoor==1){
//			$("#indoorMap").attr("style","display:block");
//			style++;
//		}
//	}

//	//显示街景
//	proto.prototype.get_has_vista_async = function(isVista) {
//		if(isVista==1){
//			$("#vista").attr('style', 'display:block');
//			if(0 == style) {
//				$("#style").removeClass().addClass("address_2 address2_two");
//			}
//		}
//	}

	proto.prototype.get_has_telnum_async = function(num){
		if(num==null||num==""){
		}else{
			var domPoiPhone = $('#poiPhone');

			domPoiPhone.text(num);
			domPoiPhone.parent().attr('style','display:block');
			domPoiPhone.parent().unbind('click').click(function(event) {
				window.cmccmap.ClientCmccMap('{"type":"on_dial"}');
			});
		}
	}

	//显示收藏
	proto.prototype.get_has_favor_async = function(isFavor) {

		var domFavor = $("#addFavor");
		var domFavor_heat = $("#addFavor_heat");
		var hasDjClass = domFavor.hasClass('btn_search4_dj');
		if(isFavor==1){
			if(!hasDjClass){
				domFavor.addClass('btn_search4_dj');
				$("#addFavorite").attr("style","color:#ff9b34");
				$("#favImg_1").show();
				$("#favImg").hide();
				domFavor_heat.addClass('btn_search4_dj');
				$("#addFavorite_heat").attr("style","color:#ff9b34");
				$("#favImg_1_heat").show();
				$("#favImg_heat").hide();
			}
		}else{
			if(hasDjClass){
				domFavor.removeClass('btn_search4_dj');
				$("#addFavorite").attr("style","color:#1c7af7");
				$("#favImg").show();
				$("#favImg_1").hide();
				domFavor_heat.removeClass('btn_search4_dj');
				$("#addFavorite_heat").attr("style","color:#1c7af7");
				$("#favImg_heat").show();
				$("#favImg_1_heat").hide();
			}
		}

	}

	proto.prototype.get_poi_tuangou_async = function  (tuangouJson) {
		var jsonObj = JSON.parse(tuangouJson);
		var tuanObj = jsonObj['tuangou'];
		var disObj = jsonObj['dazhe'];

		if(tuanObj!=null){
			var hasTuan = tuanObj['hasflag'];
			var tuanZhe = tuanObj['discount'];
			var  tuanSize = tuanObj['size'];

			var tuanDom = $("#tuanbox");
			var labelDom = tuanDom.children('.labeltuan1');
			if(tuanZhe!=null && tuanZhe!=""){
				labelDom.children('.info').text('最低'+tuanZhe+'折起');
			}
			if(tuanSize!=null && tuanSize!=""){
				labelDom.children('.labeltuan2').children('.labeltuan3').text(+tuanSize+'条');
			}else{
				labelDom.children('.labeltuan2').hide();
			}

			if(hasTuan!=null && hasTuan!=""){
				tuanDom.attr('style', 'display:block');
			}


			tuanDom.click(function(event) {
				window.cmccmap.ClientCmccMap('{"type":"on_tuan"}');
			});
		}

		if(disObj!=null){
			var hasDis = disObj['hasflag'];
			var disZhe = disObj['discount'];
			var  disSize = disObj['size'];

			var disDom = $("#disbox");
			var labelDom = disDom.children('.labeltuan1');

			if(disZhe!=null && disZhe!=""){
				labelDom.children('.info').text('最低'+disZhe+'折起');
			}

			if(disSize!=null && disSize!=""){
				labelDom.children('.labeltuan2').children('.labeltuan4').text(+disSize+'条');
			}else{
				labelDom.children('.labeltuan2').hide();
			}
			if(hasDis!=null&&hasDis!=""){
				disDom.attr('style', 'display:block');
			}

			disDom.click(function(event) {
				window.cmccmap.ClientCmccMap('{"type":"on_dis"}');
			});
		}
	}
	//获取评论
//	proto.prototype.get_has_comment_async = function(commentJson) {
//
//		var jsonObj = JSON.parse(commentJson);
//		var commentText = "";
//		for(var i in jsonObj){
//
//			var commentObj = {};
//			var comment = jsonObj[i];
//
//			commentObj['content'] = "";
//			commentObj['grade'] = ""
//			commentObj['phonetime'] = ""
//
//			if(comment['content']!=''){
//				commentObj['content'] = comment['content'];
//			}
//			
//			var commentGrade = parseInt(comment['grade']);
//			var gradeText = "";
//			if(commentGrade!=null){
//				for(var j = 0;j<commentGrade&&j<=5;++j){
//					gradeText+=$("#gradegood").html();
//				}
//				for(var j = 0;j<(5-commentGrade)&&j<=5;++j){
//					gradeText+=$("#gradebad").html();
//				}
//
//				var gradeTmp = _.template($("#commentgrade").html());
//				var gradeText = gradeTmp({"grade":gradeText});
//				commentObj['grade'] = gradeText;
//
//				// window.cmccmap.ClientCmccMap("{'type':'on_log','content':'"+gradeText+"'}");
//				// window.cmccmap.ClientCmccMap('{"type":"on_log","content":"'+gradeText+'"}');
//			}
//			
//			if(comment['phone']!=null&&comment['time']!=null&&comment['phone']!=""&&comment['time']!=""){
//				var phoneTimeTmp = _.template($("#phonetime").html());
//				var phoneTimeText = phoneTimeTmp({"phone":comment['phone'],"time":comment['time']});
//				commentObj['phonetime'] = phoneTimeText;
//			}
//
//			var commentTmp = _.template($("#commenttmp").html());
//			commentText += commentTmp(commentObj);
//		}
//
//		if(commentText==""){
//			commentText = $("#nocommenttmp").html();
//		}
//
//		$("#commentbox").html(commentText);
//	};

	proto.prototype.get_has_vedio_async = function (url){
		if(url==null||url==""||url=="null"){
			$("#video").hide();
		}else{
			var videoDom = $("#videobox")
			videoDom.attr('style', 'display:block');
			var imgWidth = videoDom.width();
			var imgHeight = imgWidth / 2;
			videoDom.height(imgHeight);
			$("#videobox").click(function(event) {
				window.cmccmap.ClientCmccMap('{"type":"on_view_video"}');
			});
			$("#video").show();
		}
	};

	proto.prototype.get_has_rate_async = function(rateinfo) {
		var ratejson = JSON.parse(rateinfo);
		var isShowRate = false;
		var price = ratejson['priceav'];
		if(price!=null){
			if(price==-1){
				
			}else{
				$("#pricebox").show();
				$("#pricebox").text(price+"元起");
				isShowRate = true;
			}
		}

//		var starlevel = ratejson['starlv'];
//		var scorehtml = "";
//		if(starlevel!=null&&""!=starlevel){
//			scorehtml+="等级/<b>"+starlevel+"</b>星";
//		}
//		var rscore = ratejson['rscore'];
//		if(rscore!=null&&rscore!=-1){
//			scorehtml+="&nbsp; 房间/<b>"+rscore+"</b>分";
//		}
//
//		var escore = ratejson['escore'];
//		if(escore!=null&&escore!=-1){
//			scorehtml+="&nbsp; 环境/<b>"+escore+"</b>分";
//		}
//
//		var tscore = ratejson['tscore'];
//		if(tscore!=null&&tscore!=-1){
//			scorehtml+="&nbsp; 口味/<b>"+tscore+"</b>分";
//		}
//
//		var sscore = ratejson['sscore'];
//		if(sscore!=null&&sscore!=-1){
//			scorehtml+="&nbsp; 服务/<b>"+sscore+"</b>分";
//		}
		var recomand = ratejson['recomand'];
		if(recomand!=null&&recomand!=-1){
			var recomandHTML = "";
			if(recomand<6){
				for(var i =0;i<recomand&&i<5;++i){
					recomandHTML +=$("#gradegood").html();
				}

				for(var i = 0;i<5-recomand;++i){
					recomandHTML +=$("#gradebad").html();
				}
			}

			if(recomandHTML!=""){
				$("#ratestar").html(recomandHTML);
				isShowRate = true;
			}else{
				$("#ratestar").hide();
			}
		}else{
			$("#ratestar").hide();
		}

		if(isShowRate){
			$("#ratebox").attr('style',"display:block;");
		}
	}

	proto.prototype.get_hotelinfo_async = function(result) {
		var data = JSON.parse(result);
		var hotelTmp = _.template($("#hoteltmp").html());
		var hotelHtml = "";
		for(var i in data){
			var tmpData = data[i];
			hotelHtml+=hotelTmp(tmpData);
		}

		if(hotelHtml!=""){
			var hotelDom = $("#hotelBox");
			hotelDom.html(hotelHtml);
			hotelDom.attr('style', 'display:block;');
			hotelDom.children('.goinfor:last').removeClass('border_b1');
		}
	};
	
	proto.prototype.gotoWeb = function  (dom) {
		window.cmccmap.ClientCmccMap("{'type':'go_web',url:'"+$(dom).data("url")+"'}")
	}

//	proto.prototype.addListenPic = function  (id) {
//
//			window.dataScrolPic = {startX:0,endX:0,posX:0,maxScroll:1,isBind:false,fixX:0};
//
//			var o_wrap_pic = document.getElementById(id);
//			var o_scroll_pic = document.getElementById(id+'_slide');
//
//			dataScrolPic.maxScroll = o_wrap_pic.scrollWidth - o_wrap_pic.offsetWidth;
//			o_wrap_pic.addEventListener('touchstart', function (e) {
//				dataScrolPic.startX = e.touches[0].pageX;
//				dataScrolPic.fixX = dataScrolPic.posX;
//				document.addEventListener('touchmove', function (e) {e.preventDefault(); }, false);
//			}, false);
//
//			o_wrap_pic.addEventListener('touchmove', function (e) { 
//				var endx = dataScrolPic.endX = e.touches[0].pageX;
//
//				var newX = dataScrolPic.posX + (dataScrolPic.endX-dataScrolPic.startX);
//
//				if(newX>0){
//					newX = 0;
//				}else if(newX<-dataScrolPic.maxScroll){
//					newX = -dataScrolPic.maxScroll;
//				} 
//				dataScrolPic.posX = newX;
//
//				o_scroll_pic.style.webkitTransform = 'translate('+dataScrolPic.posX+'px,0)';
//				dataScrolPic.startX = dataScrolPic.endX;
//			}, false);
//
//
//			o_wrap_pic.addEventListener('touchend', function (e) { 
//
//				if(Math.abs(dataScrolPic.fixX - dataScrolPic.posX) < o_wrap_pic.offsetWidth/3){
//					o_scroll_pic.style.webkitTransform = 'translate('+dataScrolPic.fixX+'px,0)';
//					dataScrolPic.posX = dataScrolPic.fixX;
//				}else if(dataScrolPic.posX > dataScrolPic.fixX){
//					dataScrolPic.fixX+=o_wrap_pic.offsetWidth
//					o_scroll_pic.style.webkitTransform = 'translate('+dataScrolPic.fixX+'px,0)';
//					dataScrolPic.posX = dataScrolPic.fixX;
//					main.curPicIndex--;
//					main.drowTabPic(main.curPicIndex);
//				}else if (dataScrolPic.posX < dataScrolPic.fixX) {
//					dataScrolPic.fixX-=o_wrap_pic.offsetWidth
//					o_scroll_pic.style.webkitTransform = 'translate('+dataScrolPic.fixX+'px,0)';
//					dataScrolPic.posX = dataScrolPic.fixX;
//					main.curPicIndex++;
//					main.drowTabPic(main.curPicIndex);
//				};
//				// removeListen();
//			}, false);
//	}

//	proto.prototype.drowTabPic = function(picindex){
//			if(main.picCount > 0){
//				var temp = "";
//				for (var i = 0; i < main.picCount; i++) {
//					if (i == main.curPicIndex) {
//						temp += ' <img src="img/an_pic_1.png" style="width:12px;height:12px;margin-top:-1px;"></img>';
//					}else{
//						temp += ' <img src="img/an_pic_0.png"></img>';
//					}
//				};
//				document.getElementById("picdot").innerHTML = temp;
//			} 
//		}

	proto.prototype.initScroller = function  (imgpath) {
		if(imgpath!=null&&imgpath[0]!=null){
			var testImg = document.createElement("img");
			testImg.onload=function  () {
				var thumbDom = $("#thumb");
				thumbDom.children('img').remove();
				thumbDom.click(function(event) {
					window.cmccmap.ClientCmccMap("{'type':'go_extraImage',index:'"+main.curPicIndex+"'}");
				});
				
				var thumbDom_heat = $("#thumb_heat");
				thumbDom_heat.children('img').remove();
				thumbDom_heat.click(function(event) {
					window.cmccmap.ClientCmccMap("{'type':'go_extraImage',index:'"+main.curPicIndex+"'}");
				});
				
				main.picCount = imgpath.length;
//				for(var i in imgpath){
//					$("#thumb").append('<img src="'+imgpath[i]+'">');
//				}
				//显示第张图片
				$("#thumb").append('<img src="'+imgpath[0]+'">');
				$("#thumb_heat").html('<img src="'+imgpath[0]+'">');
				var screenWidth = document.body.offsetWidth;
				$("#poiNameClass").removeClass().addClass("shop_2");
//				document.getElementById("picscroller").setAttribute("style","width:"+screenWidth+"px");
//				if(main.picCount>1){
//					main.addListenPic("picscroller");  
//				}
//				main.drowTabPic(main.curPicIndex);		
			}
			testImg.src=imgpath[0];
		} 

		// thumbDom.click(function(event) {
		// 	window.cmccmap.ClientCmccMap("{'type':'go_extraImage',index:'"+main.curPicIndex+"'}");
		// });
		// main.picCount = imgpath.length;
		// for(var i in imgpath){
		// 	$("#picscroller_slide").append('<li><img class="nullback" src="'+imgpath[i]+'"></li>')
		// }
		
		// var screenWidth = document.body.offsetWidth;
		// document.getElementById("picscroller").setAttribute("style","width:"+screenWidth+"px");
		// if(main.picCount>1){
		// 	main.addListenPic("picscroller");  
		// }
		// main.drowTabPic(main.curPicIndex);		
	}
	//跳转到四川美食
	proto.prototype.scmsClick = function() {
		var cmccUrlParm = {};
		cmccUrlParm.type = "food_video";
		cmccUrlParm.foodurl = this.scmeiUrl;
//		var cmccUrl = '{"type":"food_video","foodurl":"'+ this.scmeiUrl +'"}';
//		alert(cmccUrl);
		window.cmccmap.ClientCmccMap(JSON.stringify(cmccUrlParm));
	}

	main = new proto();
	main.init();
	main.attachEvent();
 });


function showhide(dangqian,zhanshi){
	if($("#"+dangqian).text()=="收起"){
		$("#"+dangqian).text("展开");
		$("#"+zhanshi).hide();
		$("#border_"+zhanshi).attr("style","border: none;");
	}else{
		$("#"+dangqian).text("收起");
		$("#"+zhanshi).show();
		$("#border_"+zhanshi).attr("style","");
	}
	
}

//景点热力的周边
function around(keyword){
	//跳转到周边列表
	window.cmccmap.ClientCmccMap('{"type":"on_search_poi_around","kwd":"'+ keyword +'","locpt":"nearby"}');
}
